Version History for Space Empires IV
---------------------------------------------------

Version 1.94:
1.  Fixed   - Game would error when loading old Settings.txt with track number fields. 
              The game will now allow either and translate tracks to music filenames. 



Version 1.93:
1.  Note    - Strategy First release version.
2.  Changed - Changed music to play MP3 files instead of using CD. 
3.  Added   - Music volume selection in Game Options window. 
4.  Fixed   - Starting a new game from within a game and then returning to the
              main menu would leave the menu buttons disabled. 



Version 1.92:
1.  Fixed   - Rare Access Violation when executing orders. 
2.  Fixed   - Rare error when processing a turn. 



Version 1.91:
1.  Changed - Revised title screen bitmap to make the buttons more visible. 
2.  Fixed   - Upgrading just 1 facility would incorrectly upgrade them all. 
3.  Fixed   - Bug from last version resulted in huge spikes in intel and research points. 
4.  Note    - Spaceyards will not work on cloaked planets or ships. 
5.  Fixed   - Cloaked planets were allowing you to add multiple spaceyards to them. 
6.  Fixed   - A planet that was damaged and lost its cloaking facility would not decloak. 
7.  Fixed   - A planet that scrapped its cloaking facility would not decloak. 
8.  Added   - You can now use an override field for Vehicle Type in Components.txt which
              will allow you to use a list instead of a hard-coded value. Another field 
              is used for the description used in the Components Report. 
9.  Added   - You can now use an override field for Weapon Target in Components.txt which
              will allow you to use a list instead of a hard-coded value. Another field 
              is used for the description used in the Components Report.



Version 1.90:
1.  Fixed   - Descriptions for the Facilities changed in the last version were still old.
2.  Changed - New title screen bitmap courtesy of David Gervais. 
3.  Changed - Added black drop shadow to "Version" and "Loading" text on main screen. 
4.  Changed - You can now save/load your turn in the middle when playing a simultaneous
              multiplayer game. 
5.  Added   - "Generate Points" abilities which will generate points for an empire each turn. 
              These abilities are independent of a planet and will generate an unlimited number
              of points. These abilities can be used on a facility, component, ship, or anything else. 
6.  Added   - "Order By Name" and "Order By Class" buttons to the Scrap window. 
7.  Fixed   - The View Orders window would show the name of unexplored systems. 
8.  Fixed   - Attempting to colonize in an unexplored system would sometimes show the planets in the sector. 
9.  Fixed   - Rare Access Violation bug during Movement Log Replay. 
 


Version 1.89:
1.  Changed - The Create and Destroy Storm components are now destroyed on use. 
2.  Changed - Mineral Scanner I, II, III have had their modifiers increased to 15%, 30%, 45%. 
3.  Changed - Hybrid Eco - Farms I, II, III have had their modifiers increased to 15%, 30%, 45%.
4.  Changed - Radioactives Collider I, II, III have had their modifiers increased to 15%, 30%, 45%.
5.  Changed - System Mineral Scanner I, II, III have had their modifiers increased to 15%, 30%, 45%. 
6.  Changed - System Eco - Farms I, II, III have had their modifiers increased to 15%, 30%, 45%.
7.  Changed - System Radioactives Collider I, II, III have had their modifiers increased to 15%, 30%, 45%.
8.  Fixed   - The owner of a minefield would not get a log message if the minefield was completely 
              sweeped. 
9.  Added   - Added "Race Directory" to the Empire/Race Report. 
10. Fixed   - When you replied to a demand for a gift or tribute, you were unable to view the package 
              of the gift or tribute that was demanded. 
11. Fixed   - Range Check Error upon loading a turn where massive numbers of units were launched the 
              previous turn.



Version 1.88:
1.  Changed - Added in Imperator Fyron's smoothed population modifiers. 
2.  Fixed   - A ship would clear its remaining orders if it tried to load cargo and
              it had no cargo space available. 
3.  Fixed   - A colonizer ship will still be counted as available for colonization
              even if it has low supplies (but not if it has zero supplies). 
4.  Fixed   - Sometimes an attack force would invade an ally's planet if it was in the 
              same sector as an enemy planet. 
5.  Fixed   - Occasional Access Violation or Range Check Error from the Combat Replay. 
6.  Fixed   - Component mounts were not being used in retrofit change comparisons.  
7.  Changed - You must have movement remaining on your ship to create a storm. 
8.  Fixed   - "Remove All" in the Fleet Transfer window would break up other player's fleets. 



Version 1.87:
1.  Added   - "Move Hundred" to Cargo Transfer window. 
2.  Fixed   - In Simultaneous games, scanned enemy ship designs would not be saved. 
3.  Fixed   - "Max Positive Anger Change" and "Max Negative Anger Change" were being
              used as percents instead of tenth of percents.
4.  Fixed   - Ships were not receiving experience for kills made with seekers. 
5.  Fixed   - Increased the population amount for the storehouse in combat simulations. 
6.  Fixed   - The Small Graviton Beam is now under the Gravitational Weapons tech area. 
7.  Fixed   - Mothballing would not generate a log message in simultaneous games and would 
              show a messagebox instead. 
8.  Fixed   - Unmothballing would not generate a log message in simultaneous games.
9.  Fixed   - Converting resources would not generate a log message in simultaneous games. 
10. Fixed   - The Abandon Planet order would not generate a log message in simultaneous games. 
11. Fixed   - Intelligence reports on planets were not showing the cargo they contained. 
12. Fixed   - In Computer Versus Human games, the AI's would get negative happiness modifiers
              on treaties (Partnership) they were forced to have. 
13. Fixed   - AI's would continue to propose the existing treaty in a Computer Versus Humans game. 
14. Fixed   - In the Combat Simulator, any player that has a base or a planet will start in the 
              center of the combat map. 
15. Fixed   - The Fleet Report window's list will now respond to the Mousewheel. 
16. Fixed   - The component list in the Tactical Combat window will now repsond to the Mousewheel. 
17. Fixed   - The Add Design window's components available list will now respond to the Mousewheel. 



Version 1.86:
1.  Added   - "AI Tag ##" abilities for use in getting AIs to use specific components. 
2.  Fixed   - Improved Empire placement using the "Evenly distributed through the quadrant" option.
3.  Fixed   - AI would purchase ships even if it had no resources available. 
4.  Fixed   - Cloaked unit groups would not show a dotted circle around them. 
5.  Added   - Empire style directory label to the Empire setup window. 
6.  Fixed   - AI would still try to launch units when its maximum units in space had been reached. 
7.  Fixed   - The name of the current item under construction should show how many as well. 
8.  Fixed   - Drones were not inflicting special damage types. 
9.  Fixed   - Decreased seeker damage factor required to move to next target. 
10. Fixed   - You could build designs which had mounts of higher technology than your empire. 
11. Fixed   - AI would build all of the same colonizer type in a given turn. 
12. Added   - Mousewheel support to lists. 



Version 1.85:
1.  Fixed   - AI players were giving away technology too easily. 
2.  Fixed   - There was a limit of 5 neutral players in a game. Now the amount of 
              neutral players is based on the values in the Settings file. 
3.  Added   - 4 more neutral races. 
4.  Fixed   - AI was not taking into account bonus resources for scrapping. 
5.  Fixed   - Changed Population Transport minister so that it takes population
              to lowest populated planet regardless of distance and also taking
              into account if a pop transport is already heading to the planet. 
6.  Fixed   - Problem with AI checking its existing ship's orders. 
7.  Fixed   - The race setup screen no longer errors if an empire ship picture is 
              not present. 
8.  Fixed   - "Change Bad Event Chance - System" ability was not working right. 
9.  Fixed   - "Change Bad Intelligence Chance - System" ability was not working right. 
10. Fixed   - Planets would not recalculate their sight values when a new facility was 
              built (this would make planets with cloaking abilities not light up cloak 
              button). 
11. Fixed   - A cloaked planet would still show its name for the option "Show Planet Names". 
12. Fixed   - Rebelling planets would double their population. 
13. Fixed   - Simultaneous different machine multiplayer games now require that a game 
              master password be provided. 
14. Fixed   - In the Select Package screen, clicking in the package list would not reduce
              the resources by the x10000 or x100000 amount selected. 
15. Fixed   - Integer Overflow if a finite resource planet had too large a value. 



Version 1.84:
1.  Fixed   - Reordered some of the formations to be better for ship movement. 
2.  Fixed   - Tech Areas that were not allowed in the Game Setup would still 
              show under the expected results list of research. 
3.  Fixed   - Ships in combat will follow their fleet's strategy until they
              are no longer in a combat group. Once they are no longer in a 
              combat group, they will follow their own strategy. 
4.  Changed - When planets take damage, weapon platforms will be destroyed
              first. After all weapon platforms are destroyed, then the remaining
              units will take damage randomly. 
5.  Added   - Added two new target types for components: "Ships\Planets\Sat" and
              "Ships\Planets\Sat\Drone". 
6.  Fixed   - The Designs Window list would not show a design with the same name 
              as another, but with different case. 
7.  Fixed   - AI would build multiple system-wide resource modifier facilities in 
              a system. 



Version 1.83:
1.  Fixed   - You could stop a "Slow Build" by clearing the queue. 
2.  Fixed   - You could stop a "Slow Build" by giving a planet to 
              another player. 
3.  Fixed   - The Jraenar battleship portrait was 1 pixel to large. 
4.  Fixed   - Intro screen graphic stretches to the screen size. 
5.  Fixed   - "Any" and "None" were being confused in CompEnhancement.txt for
              the field "Weapon Type Requirement".
6.  Fixed   - Weapon Mounts were not showing in the expected benefits list when
              looking at a Tech Area report. 
7.  Fixed   - AI will now use Master Computers on his ships correctly. 
8.  Fixed   - Added more slots to all of the formations to keep ships together 
              better in combat. New formations thanks to Imperator Fyron.



Version 1.82:
1.  Changed - Ships in combat will now follow their fleet's strategy regardless
              of whether they are in a combat group or not. 
2.  Fixed   - Computer Players which had a "Computer Player Bonus" set above 
              None were not using all of their bonus funds.  
3.  Fixed   - The largest ship in a sector was not always being drawn on top
              in the system display. 
4.  Fixed   - Planets in combat would not fire all of their weapons (sometimes).
5.  Fixed   - Planets in combat would not fire enough seekers against a target 
              to guarantee its destruction (sometimes). 
6.  Fixed   - Improved the Transport minister a little. 
7.  Added   - The Log Window will now return you to the item you had selected the
              last time you were in the window. 
8.  Fixed   - Ships with a Tractor Beam would not fire weapons located after
              the tractor beam in their design. 



Version 1.81:
1.  Fixed   - "Crew Conversion" damage type will work on all target types, 
              again. 
2.  Fixed   - "Crew Conversion" damage type will fail against a ship with
              a Master Computer (regardless if that component is damaged or 
              not). It does not matter if there is a Bridge on the ship. 
3.  Fixed   - AI will no longer launch "Anti-Planet" Drones in combat.
4.  Added   - Option to strategems to control how many drones are launched
              per target in combat. 
5.  Changed - You can now give drones orders to Attack warp points. This
              is essentially the same as telling them to warp through
              and attack anything on the other side. Any survivors can then
              be given new orders. 



Version 1.80:
1.  Fixed   - Integer Overflow when a unit with no shields was hit by normal
              weapons.
2.  Changed - "Crew Conversion" damage type will only work against ships 
              regardless of the target type.
3.  Fixed   - "Crew Conversion" damage type will fail against a ship with
              a Master Computer (regardless if that component is damaged or 
              not). 
4.  Fixed   - You can now give resource gifts in excess of 200,000. 
5.  Added   - "x10000" and "x100000" to the Select Package window for resources.
6.  Fixed   - Fighters were unable to "Fire On And Destroy" ships. 
7.  Fixed   - Organic Armor was pre-regenerating itself before damage occurred 
              in combat. 
 


Version 1.79:
1.  Fixed   - "X Damage to Shields" damage types were not working correctly.
2.  Fixed   - Shield Depeleters will now work properly against units. 
3.  Fixed   - The result of a Communication interception intelligence project
              will be displayed with arrows in the log window. 
4.  Fixed   - Ships would clear their order if trying to move to sector 0,0. 
5.  Fixed   - Ships with regnerating armor will regnerate all of their armor
              at the end of combat. 
6.  Fixed   - During a Deconstruct & Analyze, you would sometimes receive duplicate
              techs if a component and the vehicle size were new to you. 



Version 1.78:
1.  Fixed   - Mine damage was not accumulating against Fighters or Drones moving
              through minefields. 
2.  Added   - More Empire options for showing letter identifiers for facilities on
              planets. 



Version 1.77:
1.  Fixed   - Vehicle Size Minimum text in Mount report was 2 pixels off data value. 
2.  Fixed   - Mines would accumulate damage beyond their means and sometimes cause
              an Integer Overflow. 
3.  Fixed   - Orders to destroy stars, planets, storms, etc. could be executed even
              after the ship moved away from the location. 



Version 1.76:
1.  Fixed   - New damage types were not being recognized. 
2.  Changed - If you change treaties with another race and you were at a Trade
              alliance or better, and you change to a Trade alliance or better,
              then you retain the same Trade %. 
3.  Fixed   - In Simultaneous Games, sometimes the treaty between two races would
              be set to None. 
4.  Added   - Added the Weapon Mount Report window which you can get by right-clicking 
              on the mount name in the list or by going to the Help window. 
5.  Fixed   - A space yard ship that was cloaked would not decrease its emergency
              build time. 
6.  Added   - Added a flag to the Shield Components decsription so that they will 
              show the true shields generated taking into account any mounts. 
7.  Fixed   - AI player would choose Atmospheric Converter I over an Atmospheric 
              Converter III.
8.  Fixed   - Fighters would skip targets who had emissive armor high enough to 
              prevent one fighter's attack. 



Version 1.75:
1.  Fixed   - Players can no longer exceed the maximum mines / maximum satellites 
              per sector restriction.
2.  Fixed   - Rare error on warp command execution. 
3.  Fixed   - More improvements to Escape and Enter key usage. 
4.  Added   - "Shield Percent" to CompEnhancement.txt.
5.  Added   - Added damage types - "Double Damage To Shields", 
              "Half Damage To Shields", "Quarter Damage To Shields". 
6.  Fixed   - Improvements to how Emissive Armor is applied. 
7.  Added   - Added new Settings.txt fields - "Seeker Combat Defense Modifier",
              "Planet Combat Offense Modifier", "Planet Combat Defense Modifier".
8.  Fixed   - Point-Defense will now fire automatically on moving drones. 



Version 1.74:
1.  Fixed   - Null-Space Projectors and Computer Viruses had the same component
              family. 
2.  Fixed   - Rare BitList error during combat.
3.  Fixed   - Rare Integer Overflow. 
4.  Fixed   - Access Violation when completing combat. 
5.  Changed - A ship will gain benefits from a training center even if it is cloaked. 
6.  Fixed   - Players can no longer exceed the maximum mines / maximum satellites 
              per sector restriction.
7.  Fixed   - Planets now display the number of drones they can launch / recover
              in the Unit Launch window. 
8.  Fixed   - Ships without cargo capacity are now omitted from the Cargo Transfer window.
9.  Fixed   - Ships without unit launch capacity are now omitted from the Unit Launch window.
10. Fixed   - Escape and Enter keys work a little better on dialogs. 



Version 1.73:
1.  Fixed   - "Different Machine" games would report an error in different exes. 
2.  Fixed   - All messages being sent default to "General Message". 
3.  Fixed   - Damage Types of Pull Ship, Push Ship, and Teleport Ship will now be
              targeted on as many enemies as possible (not all weapons on one ship). 
4.  Fixed   - A Component Enhancement which has a weapon type of None means it can
              only be used on non-weapon components. 
5.  Changed - The Comp Family Requirement in CompEnhancement.txt is now a list. 
6.  Fixed   - The Mount listing in the Vehicle Design Add window will only show
              valid mounts for the current type and size of the vehicle. 
7.  Fixed   - Normal components will now display the mount they are using on their
              report window. 
8.  Fixed   - Capturing Ships during combat was not restricted to nearby square. 
9.  Fixed   - Drones were not changes their target when the target was hit by an 
              allegiance subverter. 



Version 1.72:
1.  Fixed   - Non-required fields were still being required. 
2.  Fixed   - Fighters with weapon range of 2 or less were not attacking planets. 
3.  Fixed   - Weapon Platforms were firing weapons at targets out of range. 
4.  Fixed   - Added protections against the player file switching cheat. 
5.  Fixed   - Added protections against exe hacking. The players and the host
              must now be running the *exact* same exe. 
6.  Fixed   - Fixed problem where cargo would sometimes show zero units remaining. 
7.  Changed - Revamped Jettison Cargo window. 
8.  Added   - Mounts now support "any" weapon type, component families, maximum 
              vehicle size, and tech requirements. 



Version 1.71:
1.  Fixed   - Ships were unable to ram planets.
2.  Fixed   - Drones were not smashing into planets. 
3.  Fixed   - Tactical Combat was not displaying correctly after a Ram. 
4.  Fixed   - Distance to planets has been reduced. 
5.  Added   - Added fields to Settings.txt to allow for a higher maximum
              value or resource amount. 
6.  Added   - Added a "Bases Can Join Fleets" field to Settings.txt. 
7.  Fixed   - AI would attempt to add units even when a planet was full. 
8.  Added   - Added "No Retrofit Adding Of Spaceyards" and 
              "No Retrofit Adding Of Colony Module" so players can set 
              whether the game will enforce these rules. 
9.  Changed - Fighters and Drones will have full movement when launched. 
10. Fixed   - In a Turn-Based Game, fighters can only be recovered if they
              have their full movement points (and are not in combat).



Version 1.70:
1.  Fixed   - Troops were unable to drop onto planets in combat. 
2.  Fixed   - Only ships and fighter groups can join fleets.
3.  Added   - Added Fighters, Satellites, and Drones Weapon Target Types in
              Components.txt.
4.  Added   - Added "Two Per Vehicle" to "Ten Per Vehicle" to Restrictions 
              in Components.txt.
5.  Fixed   - Minefields will now accumulate damage against ships when 
              hitting them.
6.  Changed - If a mine will not do damage to a target because of its damage 
              type, it will not strike the target. For example, if the mine
              only does engine damage, and the target does not have engines,
              then the mine will not strike the target. 
7.  Changed - Engine Damaging Weapons no longer skip shields. 
8.  Fixed   - Integer Overflow when viewing a planet report window for a planet
              that had been captured during combat. 
9.  Fixed   - Ai should be cloaking again in Simultaneous Games. 



Version 1.69:
1.  Fixed   - The Massive Ship Mount stated that you needed a ship size of
              1100kT but it should actually be 1200kT. 
2.  Fixed   - Rare Integer Overflow in combat when a planet was attacked.
3.  Fixed   - There was a way to bypass the Next Player Password dialog. 
4.  Changed - A ship cannot be retrofitted from a design which does not
              have a Spaceyard to one that does. 
5.  Changed - A ship cannot be retrofitted from a design which does not
              have a Colony Module to one that does. 
6.  Fixed   - Range Check Error when a luck trait tried to prevent a star
              from exploding. 
7.  Fixed   - Set Players To Computer Control window was setting all ministers 
              off even for human players. 



Version 1.68:
1.  Fixed   - Fighters no longer share their supplies with other ships.
              They will not pool their resources when in a fleet. 
2.  Fixed   - Newly launched fighters in a turn-based game will have no
              movement. The next turn after they are launched, they will
              receive full movement. 
3.  Fixed   - AI was not reacting with anger when a planet or system was 
              destroyed.
4.  Changed - Increased the number of formation positions from 30 to 100. 
5.  Fixed   - AI was still not always closing to optimum distance for 
              launching seekers against planets. 
6.  Fixed   - Seeker hit on a planet would sometimes not show an explosion 
              even if damage was done. 
7.  Fixed   - AI was not always moving on the first turn of Tactical Combat
              if it was the first player. 
8.  Fixed   - Planet hit points would not always accurately portray damaged
              units on the planet as well. 



Version 1.67:
1.  Fixed   - Players created with the existing empires would require a password
              when loading an autosave game. 
2.  Fixed   - AI was using construction queue resource rate instead of actual 
              item cost when computing how many resources remained for purchases. 



Version 1.66:
1.  Fixed   - The wrong System Physical Type was set on some of the nebulae 
              systems in the SystemTypes.txt file. 
2.  Fixed   - Problem in the SE4 Map Editor which would cause Access 
              Violations when you edited abilities.
3.  Fixed   - Cloaked minesweepers will decloak their entire group if they 
              encounter a minefield (regardless of their minister settings).
4.  Fixed   - Improved the AI's calculation of resources available for purchases
              of ships and units. 
5.  Fixed   - The Construction_Units.txt file can now have a list of comma separated 
              colony types. 
6.  Fixed   - Multiple items from the Construction_Units.txt file were being added
              each turn to the same construction queue. 
7.  Added   - Added "Percentage of Resources To Reserve For Unit Construction" field
              to the Construction_Units.txt file. 
8.  Fixed   - "Lucky" racial trait was not always working. 
9.  Fixed   - Abilities "Change Bad Event Chance - System" and "Change Bad Intelligence 
              Chance - System" were not always working. 



Version 1.65:
1.  Fixed   - Range check error when AI was processing its turn and
              was trying to launch drones from a planet. 
2.  Fixed   - Display error where the Fighter report would display 
              in the upper left-hand of the Main window. 
3.  Fixed   - QuadrantTypes.txt had a misspelling which caused spatial 
              ruptures to not show up.
4.  Fixed   - Fleet name generator was incorrect for fleet numbers over
              100. 
5.  Fixed   - Combat Simulator would remove a fleet when you tried to add
              the first ship to it. 
6.  Changed - Fighters with zero supplies only get one movement per turn.
7.  Changed - Ships and fighters with zero supplies get zero shields. 
8.  Changed - Ships and fighters with zero supplies will not be able to fire
              any of their weapons.
9.  Changed - Drones can only target planets, ships, and satellites. Fighters,
              mines, and other drones are too small to target. 
10. Added   - TCP/IP Host dialog will display all valid IP Addresses for the
              host's machine.
11. Added   - TCP/IP Player dialog now allows the player to select which source 
              IP Address they wish to use for play (the selection defaults to 
              the first available). 



Version 1.64:
1.  Fixed   - Resource modifiers were going into negative percents.
2.  Fixed   - Integer overflow with large numbers of units in combat.
3.  Changed - Increased the "maximum number of ships per player" and the 
              "maximum number of units per player" selection to have an 
              upper limit of 20,000 each on the Game Setup screen. 
4.  Fixed   - Maintenance cost displayed for designs was not taking into 
              account abilities of that design. 
5.  Added   - You can now use an AI_Construction_Units.txt file with your
              AI. The file will only be used if it exists. This supplements 
              the AI_Construction_Vehicles.txt file with specific units to 
              purchase. See the AI_Construction_Units.txt file included for
              more details. 


Version 1.63:
1.  Fixed   - The AI was not matching class names correctly from the Vehicle
              Construction file. 


Version 1.62:
1.  Fixed   - The AI was not purchasing colonizing ships. 
2.  Changed - Put in opening screen from release version.
3.  Added   - More details to AI Fleet order debug output. 
4.  Fixed   - AI was not creating multiple designs which were of the same AI 
              Design Type (even if they had different names). 
5.  Fixed   - Troops were not using their shields in ground combat. 



Version 1.61:
1.  Changed - The Default_Ai_Construction_Vehicles.txt file will now allow
              for the design name or the design type. The term "Colonizer" is 
              till hard-coded to be evaluated to the needed type of colonizer. 
              When looking for the design to build, the game will look for the 
              latest design which matches the design name. If no match is found, 
              then the latest design which matches the design type will be located. 
              If neither is found, this purchase item will be skipped. 
2.  Added   - Added an optional file called "DebugSettings.txt". This filed should
              be placed in the SE4 directory and controls whether certain debug
              setting are used in the game (if the file is not present all of the
              debug settings are turned off). See the file for complete details. 



Version 1.60:
1.  Fixed   - In Combat when targeting a planet, ships will move 1 square closer 
              so they can hit all 4 squares of the planet. 
2.  Fixed   - If you re-loaded a TCP/IP game, and selected that you did not want
              to continue it as TCP/IP Host, then when the player ended their 
              turn the TCP/IP Host window would show up. 
3.  Fixed   - In some circumstances in a simultaneous turn game, the AI would
              decide for the player not to move ships into a combat situation.  
4.  Fixed   - In a Simultaneous Turn Game, enemy planets in the same sector would 
              generate multiple combat reports. 
5.  Fixed   - Weapons which would cause the target ship to move were not showing
              the ship movement in the combat replay. 
6.  Fixed   - Sometimes the AI would leave a design strategy blank for a human
              player using all of the ministers. 
7.  Fixed   - Improved the sorting of AI defense locations.
8.  Changed - Planets can now repeat their orders. 
9.  Fixed   - Setting repeat orders in a Simultaneous game would not always be
              changed the next turn. 
10. Changed - The TCP/IP Host can now remove an empire before the game starts. 
11. Fixed   - Emotionless races cannot be induced to riot through intelligence or
              natural events.
12. Changed - Updated the Credits. 



Version 1.59:
1.  Fixed   - Drones would not attack when in the same square as their target.
2.  Fixed   - AI needed to take control of everything when a human player
              was switched to computer control. 
3.  Fixed   - In Combat, drop troop ships will go after the enemy planet they
              were ordered to attack. If they don't have specific attack orders
              then they will attack the planet with the highest population. 
4.  Fixed   - You can now cloak and decloak groups of selected ships.
5.  Fixed   - Cloaked drones were not de-cloaking to attack in some situations. 
6.  Fixed   - The Map Editor would not load pictures from mod directories.
7.  Fixed   - Increased the chance that the AI will ignore an incoming message
              if it wants to declare war or break a treaty. 
8.  Note    - In TCP/IP Games, the UDP Messages are sent on Port 6716, and file
              streams are sent on Port 6720. 
9.  Fixed   - Cursors and Fonts would not load individually from Mod directories.
10. Fixed   - All files in mod directories should now be on an individual basis. 
              Meaning that you don't need all of the .txt files if the directory is
              present. 
11. Fixed   - In rare cases in Tactical Combat, a player could show twice in the player
              list at the top of the window.  
12. Fixed   - Finally fixed the Highest Allowed Treaty bug. 
13. Fixed   - Solar generators were not producing any resources in a finite resource
              game when the planet had zero resources remaining. 
14. Change  - Solar generated points are no longer modified by racial advantages,
              population happiness, or population amount. 



Version 1.58:
1.  Fixed   - Only warheads of the correct target type will damage targets in
              combat that are rammed. 
2.  Fixed   - The AI would accept systems in trade that the offering player did 
              not own. 
3.  Fixed   - Increased chance for AI to send certain political message types
              (like demand surrender). 
4.  Fixed   - Added Drones to the Manual page "Status Icons".
5.  Added   - Hotkey Shift-A to Tactical Combat to select all available weapons. 
6.  Added   - Hotkey Shift-C to Tactical Combat to de-select all weapons. 
7.  Fixed   - The AI will now decloak its drones before attacking their target. 
8.  Fixed   - The buttons to cloak and decloak are now available for drones.
9.  Changed - Added a defense bonus to drones much like small ships. 
10. Fixed   - If a combat piece was in a fleet it would always use the fleet strategy,
              even if it had broken formation.
11. Fixed   - Simultaneous Games were still playing out combat in player order. The
              defending players should always get to move first. 
12. Fixed   - If you have the setting "Automatically use Individual Ministers for newly
              built vehicles", then any ships captured through intelligence
              operations will be set to individual minister control. 
13. Fixed   - After a combat where multiple ships were selected in the Ship List, some of
              them would still have "ghost" orders. 
14. Fixed   - Drones will no longer "dance" around warp point. They will charge through. If
              they get into combat, and their target is not present, they will select new
              temporary targets until combat is complete. 



Version 1.57:
1.  Fixed   - "One Turn's Worth" selection should not show during a Multi-Add.
2.  Added   - Drone Carriers for AIs to use. 
3.  Fixed   - In the Designs window, the list would sometimes be past the bottom
              item when switching between tabs. 
4.  Fixed   - The AI would often launch all of its satellites leaving none for the
              Satellite layers. 
5.  Added   - More AI settings to control drone and satellite launch. 
6.  Added   - Fields to "Settings.txt" to control whether fighters can be hit by 
              mines and how much supply they use each turn just sitting still. 
7.  Fixed   - Mines, Satellites, and Drones can self-destruct without a self-destruct
              component. 
8.  Fixed   - Mines, Satellites, and Drones can be fired on and destroyed. Only a 
              ship with direct-fire or seeking weapons can fire on a target and destroy it. 
9.  Added   - Hotkey Shift-A to select all of the ships in the ship list. 
10. Added   - Hotkey Shift-C to de-select all of the ships in the ship list. 
11. Changed - While holding Shift, you can select and deselect ships in the ship list. 
12. Fixed   - During combat, drones were not getting their full movement upon launch. 
13. Fixed   - Drones launched during combat were not showing correctly in the combat replay.
14. Added   - Setting to control number of fleets AI uses for defense. 



Version 1.56:
1.  Fixed   - Some minor spelling errors in SystemTypes.txt.
2.  Fixed   - Some picture problems with the new System background pictures.
3.  Fixed   - Added the Baseship bitmap name as the primary picture for the
              baseship vehicle size. This way no changes will be needed if 
              race styles are already using them. 
4.  Fixed   - TCP/IP Host's chat messages would dissappear when a message from
              a player would come in. 
5.  Fixed   - TCP/IP Player would not receive chat messages while taking his
              turn.
6.  Fixed   - A TCP/IP Player who quit the game and then restarted before taking
              their turn would receive a file load error. 
7.  Fixed   - If a TCP/IP Player reconnected to a game in progress, the message
              displayed would incorrectly be "Waiting for all players to connect."
8.  Fixed   - If a TCP/IP Player reconnected to a game, errors would occur when
              the game turn was received. 
9.  Fixed   - Sometimes a disconnected race would not start researching the "Not
              Connected" items early enough. 
10. Fixed   - Mod Folders were requiring that the picture be present. 
11. Fixed   - Boarding ships would not engage enemy ships even if they had weapons.
12. Fixed   - Kamikaze ships were not seeking for fleets to join. 
13. Added   - Added an "Orders" tab to the Colonies Window. 
14. Added   - Added a "Multi-Add" button to the Construction Queues window. This will
              allow you to add Ships or Units to multiple construction queues at a 
              time. 
15. Fixed   - Fixed a problem with combat to-hit chances where the weapon modifier
              was being factored in after the total modifier to hit was bounded to 
              1% or 99%. 
16. Fixed   - Fixed a problem where chains of partnership treaties would not allow
              all players to see with all other players sight. A->B, B->C = A->C. 
17. Changed - Increased the default fighter launch group size to 10. 



Version 1.55:
1.  Fixed   - The text for the Weapon Platform and Satellite weapon 
              mounts did not say anything about their extended range. 
2.  Fixed   - Generating multiple quadrants when starting a game would
              sometimes cause a crash. 
3.  Changed - Changed the VehicleSize.txt file so that each vehicle
              size has a primary and alternate bitmap. 
4.  Changed - Added a to-hit bonus for weapon platform weapon mounts.
5.  Changed - Increased the possible range of Facility Family from 
              1 - 64000 in Facility.txt. 
6.  Added   - You can now clear the orders for all selected ships. 
7.  Fixed   - All Drones with the same orders should move together
              in a group. 
8.  Changed - Drones now get their full movement immediately upon launch. 
9.  Fixed   - The General.bmp was missing from the patch. This included 
              a new drone icon for cargo. 
10. Fixed   - Drones should not be able to have self-destruct devices. 
11. Added   - New fields in Settings.txt to set the random range of starting
              computer and neutral players.
12. Fixed   - An error would occur if you were a player with a number greater
              than 10, and you were trying to change cargo in the combat
              simulator. 
13. Fixed   - Sometimes the game would report that a player order file could
              not be found in a simultaneous game. 
14. Changed - Increased the maximum value of System Types in the 
              QuadrantTypes.txt file to 300. 
15. Fixed   - AI would design mine sweepers when it didn't have the mine
              sweeping component. 
16. Fixed   - TCP/IP Host problem where a reconnecting client would be listed 
              twice.
17. Fixed   - TCP/IP Host problem where a reconnecting client would not be 
              notified that they had reconnected successfully.
18. Added   - Sounds to the TCP/IP Host when a player connects or disconnects. 
19. Changed - TCP/IP Host must wait until all players have submitted their 
              empire files before the host can add its own empires. 
20. Fixed   - TCP/IP Player cannot set his empire to computer control. 
21. Fixed   - TCP/IP Host gets a more specific message that they can only add one
              empire at a time to the game. 
22. Fixed   - TCP/IP Host's "Remove Empire" button changes its text to 
              "Toggle Empire AI On/Off" after the first turn.
23. Fixed   - TCP/IP Host can toggle an empire between AI and human control. 
24. Fixed   - TCP/IP Host would be in the wrong state after the host canceled
              processing the turn because of a missing player file. 
25. Fixed   - TCP/IP Player would sometimes get Access Violations when it 
              received messages while a player was taking their turn. 
26. Fixed   - TCP/IP Chat messages are no longer lost when you take your turn. 



Version 1.54:
1.  Fixed   - The AI Neutral files had not been modified with the new
              settings, and were causing errors when they were loaded
              for a neutral's turn. 
2.  Added   - Confirmation dialogs when you quit as a TCP/IP Host or
              TCP/IP Player. 
3.  Fixed   - When a TCP/IP player quits a game, the host will have a
              status for that player of "Quit".
4.  Fixed   - If a TCP/IP player reconnects to a game, they will not
              make a second line in the list. 
5.  Added   - Added a sound effect when a chat message is received. 
6.  Added   - Confirmation dialog when you try to process a turn as the
              TCP/IP Host. 
7.  Changed - The TCP/IP Host can only add one empire at a time. 
8.  Fixed   - List index out of bounds error when a TCP/IP Host quit a 
              game in progress and then started a new one. 
9.  Fixed   - Progress bar window would stay open when a TCP/IP Host
              did not want to continue processing after the game could 
              not find a missing player order file. 
10. Added   - The TCP/IP Host can now remove an empire from the game
              before it begins, or change an empire to AI control during
              a game. 
11. Fixed   - TCP/IP Host can add AI controlled empires. 
12. Fixed   - TCP/IP Host can create empires while players create their 
              empires.
13. Fixed   - TCP/IP Player could not cancel out of creating an empire.
14. Fixed   - If the TCP/IP Host added more than one empire, sometimes
              their pictures would be mixed up. 
15. Added   - Added Combo boxes to the TCP/IP Player window. 
16. Fixed   - The SE4 Map Editor would error if you regenerated the quadrant
              and there were less systems then previously. 
17. Added   - Added some new system types.



Version 1.53:
1.  Fixed   - When the AI first developed Quantum Reactor technology, 
              it did not always create new designs for its ships. 
2.  Fixed   - All drones would launch even if you selected "Launch 1". 
3.  Fixed   - Seeker launch sounds were not playing in Tactical Combat
              or the Combat Simulator.
4.  Fixed   - The Ionic Pulse Missile did not have a sound effect. 
5.  Changed - The AI will completely redesign all of its ships on turns 
              1, 20, and 40. 
6.  Fixed   - Drones will not choose seekers or fighters as targets in 
              combat.
7.  Fixed   - Empire files were missing the Drone Attack strategy. 
              (New Empire files thanks to Philipp Kullmann) 
8.  Fixed   - Fighter Groups were not getting bonuses from racial 
              characteristics.
9.  Added   - Added more empire settings to the AI_Settings.txt file. 
10. Fixed   - When marking a design as obsolete, the view on the list
              would jump back up to the top. 
11. Added   - New sound effects! You can use either the new sound 
              effects or the classic sounds effects by selecting the
              setting in the Options window. 



Version 1.52:
1.  Fixed   - Ships were firing on their own in Tactical Combat. 
2.  Fixed   - Drone design warning was saying "Must have 1 bridge."
3.  Fixed   - When the AI generates an empire, it was not using all of 
              the racial points from characteristics. The AI will now
              purchase characteristics first, then advanced traits. 
4.  Fixed   - You were unable to add drones to the combat simultator. 
5.  Fixed   - If a cloaked minesweeper is about to enter a sector with
              a known minefield, it will decloak. 
6.  Changed - Decreased the size of the Shield Regenerator V to 20kT. 
7.  Fixed   - The player order was incorrect in combat during a 
              simultaneous play game. 
8.  Changed - Increased Asteroids starting value. Also added these values
              to the Settings.txt file. 
9.  Fixed   - Updated the Map Editor so it will work with current maps. 
              This should also fix the Ruins problem. 
10. Changed - Improved the sound effects. 
11. Fixed   - Drones were not showing up in the Combat Replay. 
12. Changed - Reduced costs for Ringworld and Sphereworld components. 
13. Fixed   - AI would propose treaties at a higher level than its 
              "Highest Allowed Treaty" setting. 
14. Added   - Added a setting to Settings.txt which allows drones to
              not be effected by mines.
15. Changed - Smart Bombs can now be placed on Ships, Bases, Satellites, 
              and Drones. 



Version 1.51:
1.  Fixed   - It was possible for the Purchasing Minister to take a 
              very long time to finish.
2.  Fixed   - Recon Satellites were being miscounted by the AI for
              use by its scripts. 
3.  Fixed   - In certain cases, the Ai would not move a minesweeper
              to a minefield because of the "Don't move through mine
              fields" Empire Option. 
4.  Fixed   - AI would research Mines a bit too much when they 
              encountered the first minefield. 
5.  Changed - Weapon Platforms and Satellites now get a range bonus
              on their weapon mounts like bases get. 
6.  Fixed   - When the AI first developed Shield technology, it did
              not always create new designs for its ships. 
7.  Fixed   - The TCP/IP Player should show an error if it cannot
              connect to the host even if the host is on this 
              machine. 
8.  Fixed   - The TCP/IP Player can only add one empire to the game. 
9.  Fixed   - In the TCP/IP Host window, if the host cancels his
              login to play a turn, the game should not end. 
10. Fixed   - Made the TCP/IP host a bit more lenient on player drops.
              If you're dropped, you can reconnect and rejoin the game
              (using the same player name). However, to get resynched
              with the game, you'll just have to wait till the host 
              sends the turn file out again (you'll miss a turn). 
11. Fixed   - Minor manual text fixes. 
12. Fixed   - When starting a new TCP/IP Host game, all order files 
              for the selected game name will be deleted. 
13. Fixed   - On the TCP/IP Player window, when the chat button was 
              pressed the focus would not be set to the Chat Message
              control. 
14. Added   - When all of the player order files have been received 
              by the TCP/IP Host, a sound will be played and the 
              game will un-minimize itself. 
15. Fixed   - If a vehicle could not recover a unit, the wrong name
              was displayed. 
16. Fixed   - Point Blank strategy ships in combat would move to the 
              opposite side of the target from where they were. 
17. Fixed   - There was a bug in the fonts that would cause >> to 
              be displayed in messages. 
18. Fixed   - Newly launched units weren't always having their
              individual minister turned on if the automatic setting
              was set. 
19. Added   - Drones. The manual pages on Units have been updated. 
20. Added   - A DataFileHistory.txt file which describes the data file
              changes we've made in each version. 




Version 1.50:
1.  Note    - Gold Version.



Version 1.49:
1.  Fixed   - Reseting a player's password wouldn't take in certain
              circumstances. 



Version 1.48:
1.  Fixed   - Reseting a player's password would cause a crash when 
              the host processed the turn. 
2.  Fixed   - Added a bit more randomness to the reset password. 
3.  Fixed   - The Scrap window's ship list would jump to the top after 
              an order was executed. 
4.  Fixed   - The prevent AI use during Simultaneous games option was 
              not fully preventative. 
5.  Fixed   - Minor text problems in the AI Speech script. 
6.  Fixed   - Improved the AI's ability to decide whether to attack or 
              not.  
7.  Fixed   - You cannot open a warp point into the same system that it
              originates from. 
8.  Fixed   - Designs loaded with an empire will have their values 
              recomputed with the current game. Designs which are not
              valid for the current game will not be loaded. 
9.  Added   - Added a selection of whether you wish to save your designs
              with your empire when you save your empire. 
10. Changed - Changed the AI strategy for satellites and weapon platforms. 



Version 1.47:
1.  Changed - Combat has been changed such that order of player's
              movement is random. In addition, defenders will be placed
              at the front of the player list so that they get to move 
              first. 
2.  Added   - When the host logs in to a game, he can go to the Game Options
              window where there is now a "Reset Passwords" button. The host
              can select which empires he wants to have their passwords reset.
              The new password is displayed to the host and a message is sent in
              the log to the player informing him that his password was reset.
              The host needs to give the new password to the player for their
              next turn. A host should perform any password resets before 
              processing the turn. 
3.  Fixed   - In a Simultaneous Game, sometimes the Replay All Ship Movement
              would cause a crash. 
4.  Fixed   - Hitting return now works on the Player Login screen. 
5.  Fixed   - The Designs List window will no longer jump to the top if you 
              mark a ship as obsolete and can view obsolete ships. 
6.  Fixed   - Resorting on the Colonies or Ships Window with the large rows 
              showing would sometimes result in rows of incorrect height. 
7.  Fixed   - Spaceborne units were not counted in statistics when scrapped, 
              self-destructed, or fired on. 
8.  Fixed   - Missing a space before the empire name in a message about intel
              defense.               



Version 1.46:
1.  Fixed   - Problem where a race style used from a mod directory was 
              not being used when the game was re-loaded. 
2.  Changed - Removed the application of the maximum units per player
              rule while in combat. This means that you can launch as many 
              fighters as you like during combat. However, the maximum
              units per player rule still applies to non-combat unit
              launching. 
3.  Fixed   - Wrong description used when scuttling units because of 
              not paying maintenance. 
4.  Fixed   - Fleet Transfer Window would reset the Vehicles in Sector
              window to the top each time a ship was moved. 
5.  Changed - Decreased the rate at which fleet experience increases. 
6.  Changed - Decreased the amount of experience gained from killing fighters
              and mines. 
7.  Fixed   - Description for Afterburners was not correct. 
8.  Fixed   - You should be able to give colonize orders to a ship even if there
              is a population on the planet. 
9.  Fixed   - Population Transport Minister was not taking population to planets 
              with zero population. 
10. Fixed   - The Construction Minister would sometimes build troops and weapon
              platforms not on a planet. 
11. Fixed   - AI would sometimes try to attack enemy minefields. 
12. Fixed   - The AI could sometimes initiate combat against a minefield in a 
              simultaneous game. 
13. Fixed   - Ship groups would sometimes start on top of each other in combat. 
14. Fixed   - Ground Combat was experiencing some problems with the changes for
              one side to hit another. 
15. Fixed   - Some units would have their statistics changed during a combat 
              simulation. 



Version 1.45:
1.  Changed - In the beta patch version, the startup message will not be  
              displayed if the -nd command line option is used. 
2.  Note    - Medical Bays will cure plagues on your planets or planets of
              your allies (Military Alliance or better). 
3.  Added   - A delay factor to Settings.txt to slow down the movement of 
              ships on the System Window. 
4.  Added   - A new set of fonts by Andrés Lescano which add international
              character support to the existing fonts. 
5.  Fixed   - AI Research will now follow the "Tech Area Min Percent". 
6.  Fixed   - Ruins were not being placed if the map was generated in the 
              Game Setup window. 
7.  Added   - The System Gravitational Shield now prevents warp points closing
              within the system. This prevents warp points closing into or
              out of the system by all players (including you!). 
8.  Fixed   - You should be able to view and clear the orders of minefields or
              satellite groups. 
9.  Fixed   - Self-Destruct of satellites and mines was not working in simultaneous
              turn games. 
10. Fixed   - A log message should be generated when a ship self-destructs or is 
              fired on and destroyed. 
11. Fixed   - Resource Production and Space Combat racial modifiers were not working
              correctly. 



Version 1.44:
1.  Fixed   - The command line option to use a Mod Path was not working.  
2.  Added   - Access to the Autosave options under the main Options window. 
3.  Fixed   - Intelligence Window would ask if you wanted to delete a blank
              intelligence project. 
4.  Fixed   - Screen wouldn't refresh after a Surrender message was sent. 
5.  Added   - The System Gravitational Shield now prevents warp point opening
              within the system. This prevents warp point opening into or
              out of the system by all players (including you!). 
6.  Fixed   - Ships were not showing up in the correct portion of the combat map
              at the start of combat. 
7.  Fixed   - Neutral players would sometimes leave their home systems. 
8.  Fixed   - Unit Groups would display their shields and hit points incorrectly
              at times during combat. Now, unit groups will only show their 
              maximum hit points and maximum shields during combat for the units
              that are alive. 



Version 1.43:
1.  Fixed   - Problem with multiplayer data file verification.
2.  Added   - Added more message during a simultaneous game explaining why a ship
              did not launch or recover its units. 
3.  Fixed   - Problem where the Designs Window would error upon loading. 
4.  Fixed   - A neutral on a planet which picked a specific style would cause an
              error if that style was not present when the game was loaded. 
5.  Fixed   - If an event caused a planet to explode, then sometimes an error would
              be generated. 
6.  Fixed   - Sometimes the next player in a hotseat game could give orders to the 
              previous player's ships. 
7.  Changed - The AI ministers controlling a human player will never surrender. 
8.  Fixed   - Sometimes the game would not ask you if you wanted to attack when
              your ships moved into the same square as enemy ships. 
9.  Changed - Spaced out large groups of ships in combat a bit more when starting. 
10. Fixed   - General speedups for combat. 
11. Fixed   - Sometimes your ships would not fire on a planet because you had a troop
              transport present carrying troops but it didn't have the Capture Planet 
              order.  



Version 1.42:
1.  Fixed   - Crashing bug when processing a simultaneous game turn. 
2.  Added   - Flag to use the old style of Log Political Message display. Some people
              experienced the problem that their screen would go crazy when a political
              message was displayed in the Log Window. Usually, changing the screen 
              resolution, color depth, or installing new drivers would fix the problem. 
              But in case they don't, we added this flag so that those players could
              change the setting "Use Old Log Political Message Display" in the Settings.txt
              file to TRUE. This will display communication message in the old manner
              with no possiblity of scrolling the message. 
3.  Fixed   - Crashing bug when a warp point had already been closed and another ship
              tried to close it with the same orders in a simultaneous game. 
4.  Fixed   - Simultaneous Game: Combat would often occur too many times. Now it will only
              occur one per sector per phase if a ship executed orders in that location. 
5.  Fixed   - After a ship with a spaceyard was retrofitted to not have a spaceyard, 
              sometimes its construction details would still show on its report. 
6.  Fixed   - Emissive armor should be working correctly now. 
7.  Fixed   - Sometimes the combat replay would fail if a star was involved. 
8.  Fixed   - Simultaneous Game: Colonizers at the same location would not follow orders
              to colonize given in the Planets window. 
9.  Fixed   - Simultaneous Game: The Planet window does not need to close when giving
              colonize orders.
10. Changed - Added text to the Scrap window stating that ships in a fleet must be separated
              from the fleet before any of the actions can be performed. The list in the
              window no longer displays any ships that are in a fleet. 
11. Fixed   - Sometimes when a colonizer would colonize a planet, not all of the population
              in its cargo would be dropped to the planet. 
12. Fixed   - Simultaneous Game: Adding the "Use Component" order would clear all previous
              orders for a ship. 
13. Fixed   - Simultaneous Game: Using Emergency Propulsion Pods would not always work correctly. 
              Please note: You want to use the emergency propulsion pods at the beginning of the
              turn in a simulatenous game (your first orders before moving). Since these pods 
              actually increase your speed during phased movement, if you try to use them at the 
              end, you may not actually get the remaining movement points. 
14. Changed - You cannot repair an Emergency Propulsion Pod or an Emergency Resupply Pod without
              a space yard being present. 
15. Fixed   - Problem with AI Design creation where the game would lockup when an AI was trying
              to add the desired number of engines to a design but couldn't. 
16. Added   - Added a message when your counter-intelligence project successfully defeats an 
              attack. (This attack will cause the progress of the counter-intelligence project
              to be put back.)
17. Fixed   - All Counter-Intelligence projects were being cleared when an attack came in. So
              only the first attack would be defeated, and then all others would get through 
              that turn. 
18. Fixed   - A few minor memory leaks. 
19. Fixed   - Added some protections against multiplayer cheaters.
20. Fixed   - 



Version 1.41:
1.  Note    - Patch Release Version



Version 1.40:
1.  Fixed   - Statistics for a design would not be updated if a ship of that design 
              was given away during a trade. 
2.  Changed - Increased the shields and decreased the cost of the Massive Planetary
              Shield Generator. 
3.  Fixed   - Ground Combat: Only troops and population should show in ground combat. 
4.  Fixed   - Ground Combat: Damage would grow in excess of the actual each turn. 
5.  Fixed   - Ground Combat: The close button should be disabled until combat is complete. 
6.  Fixed   - The Solar Sail description should say that only one works per ship. 
7.  Fixed   - The AI will sometimes trade for technology he doesn't need or can't use. 
8.  Fixed   - The Create Planet minister would send all ships to the same location.
9.  Fixed   - The Scrap Window should show all ships sorted by name.
10. Fixed   - The retrofit in simultaneous games would not always work correctly. 



Version 1.39:
1.  Fixed   - System Gravitational Shield Facility was not working. 
2.  Added   - Added “Stop Star Destroyer” ability to System Gravitational Shield facility.  
3.  Fixed   - Pressing the E key in combat would sometimes cause a crash or an End Combat
              dialog too soon.
4.  Changed - Minimum maintenance cost for any empire is 5%.
5.  Fixed   - Error when loading a game with a map which had more than 255 starting points.
6.  Fixed   - Starting points in maps were not being cleared upon load. This would
              eventually cause a crash in any game that was started from a map which had 
              starting points.
7.  Fixed   - With Omnipresent View selected, cloaked ships would not be shown correctly
              when a ship with sensors was present in the system. 
8.  Fixed   - Successful intelligence defense would sometimes result in you having intel 
              defense projects more accomplished then when they started. 
9.  Fixed   - The Close Warp Point component was not using supplies when activated. 
10. Added   - Added command line option for specifying the mod path.

Command Line Options:

Se4.exe "[Savegame path]" "[Password]" "[Player Number]" "[Mod path]" -nd

[Savegame Path] = Exact path to the savegame file. 
[Game Password] = Either the game password if this is the host processing the turn, or 
                  the players password if you want to launch directly into a player’s turn. 
[Player Number] = The specific player number you wish to launch into, or 0 if this is 
                  the host processing the turn. 
[Mod path]      = Override to the directory specified in the Path.txt file (this should 
                  just be the directory name of the mod, exactly what’s in Path.txt). 
                  You can leave this blank to just use the setting found in the Path.txt 
                  file.  
-nd             = Optional flag which indicates if any error dialogs should be displayed 
                  during the turn processing if an error occurs. 

Note: To leave an option blank, just put two parenthesis with a space between them. 

Examples: 
Host processing the turn, with no dialogs. 
  Se4.exe "c:\program files\shrapnel games\malfador machination\space empires 
  iv\savegame\BigMulti.gam" "Master" "0" " " -nd

Player wants to launch directly into their game.
  Se4.exe "c:\se4\savegame\mygame.gam" "mypass" "1" " "

Host wants to process a turn with an alternate mod path, and have dialogs be displayed.
  Se4.exe "c:\se4\savegame\supergame.gam" "master" "0" "c:\se4\mydata"



Version 1.38:
1.  Added   - You can now hold the Shift key in the Select Package window to 
              add or remove resources at a rate of 10,000 per click. 
2.  Fixed   - Spelling error in "Energy Dampner".
3.  Fixed   - AI was not following the "Maximum maintenance Percent of 
              Revenue" line correctly. 
4.  Fixed   - The AI would still try to construct a unit design even if there
              was no space for it anywhere in the galaxy, and would not move on
              down the list of designs to purchase. 
5.  Fixed   - The AI would often upgrade all of its facilities even when it didn't
              really have the money to do so. 
6.  Fixed   - Remove the extra "Weapon display" line for the Tractor Beam II. 
7.  Fixed   - When a race accepts a subjugation treaty, all of its other existing
              treaties will be broken, and all of those players will be notified. 
8.  Fixed   - Re-fixed the problem with the Low Supply icon on fighter groups. 
9.  Fixed   - Fixed bug where non-cloaked defenders in an obscuring storm would
              not battle visible enemies moving through the sector. 
10. Note    - If you turn on the Resupply Minister, it will give orders to any and
              all ships, regardless of their individual minister setting.



Version 1.37:
1.  Changed - Increased cost to retrofit. 
2.  Added   - Command Line option -nd (which should be placed at the very end
              of the line) which will prevent any display of dialogs. 
3.  Added   - Exit Code when running the exe from the command line.
              0 - Successful.
              1 - Invalid Master Password.
              2 - Invalid Player Password. 
4.  Fixed   - When downsizing a ship using retrofit, the number of damaged
              components display might show too high a number. 
5.  Fixed   - Allegiance Converters should not work against ships with 
              Master Computers. 
6.  Fixed   - All designs in the Designs Window are now listed sorted by name. 
7.  Fixed   - Small fighter groups would show the out of supply icon even
              at 100% fuel. 
8.  Fixed   - If a planet was destroyed in combat, all the units that were 
              housed on the planet would not be showed as killed in the
              design statistics. 
9.  Fixed   - Swept mines were not being added to the killed statistics. 
10. Fixed   - A player would not receive enemy fighter designs if the designs
              were housed on a planet during combat. 
11. Fixed   - Simultaneous Game: The protector in a protectorate treaty would
              often not store any resources. 
12. Fixed   - Rare Access Violation when Host is processing a turn.
13. Fixed   - Added a fix for the garbled log message display even though unable
              to repeat. 
14. Fixed   - Simultaneous Game: Changing the colony type would not take effect after
              a turn was processed. 



Version 1.36:
1.  Fixed   - Map Editor: Access Violation when you tried to edit a 
              planet after deleting one. 
2.  Fixed   - Map Editor: After saving a planet with a name that does 
              not end in a roman numeral, the next time you tried to 
              add a planet in the same system, you would get a Range
              Check Error. 
3.  Fixed   - Map Editor: Removed systems names from the combo box that
              are already in use. 
4.  Fixed   - Occasional driver or VxD errors when using the Resolve
              Combat feature. 
5.  Fixed   - Compiling a turn from the command line was not working. 
6.  Fixed   - Fighter Groups were getting a cumulative offfense and 
              defense modifier. 
7.  Fixed   - Sometimes fighters would not fire on targets if their first
              weapon could not target the remaining enemy pieces. 
8.  Fixed   - A target planet in the combat simulator would show the wrong
              player's population bars. 
9.  Fixed   - Long messages to other players would get cut off in the Log
              Window. 
10. Fixed   - When a new empire is created by rebelling from an old one, 
              the new empire would have all of the log messages from the 
              old empire. 



Version 1.35:
1.  Fixed   - Map Editor: Empires that began at starting points on planets
              would use the atmosphere of the planet. Now, if an empire starts
              at a starting point with a planet, the planet will be changed to 
              be the same size but match the atmosphere of the empire.
2.  Fixed   - Invalid Index if you try to reorder an empty queue in the Set
              Construction Queue window. 
3.  Fixed   - Improved fighter launch speed during combat, yet again.
4.  Fixed   - Improved speed of AI processing.
5.  Fixed   - Sometimes a ship will not be available for selection in the 
              Fleet Transfer Window (even though its not part of a fleet). 
6.  Changed - Small Cluster Bombs, Small Rocket Pods, and Small Graviton
              Beams can only be used by fighters.
7.  Changed - Increased the damage from the Small Graviton Beam. 
8.  Fixed   - Units total in the Score window was not counting units in space. 



Version 1.34:
1.  Fixed   - Map Editor: Added "Remove Starting Point" button. 
2.  Fixed   - Tech Area file would not load correctly if a tech area
              with multiple requirements came first. 
3.  Fixed   - Minefield tags would not be removed on the turn that you swept
              the last mine. 
4.  Fixed   - Simultaneous Games: Combat would execute multiple times even if
              the ships did not fight. 
5.  Changed - Increased the values from Combat Sensors by 5%. 



Version 1.33:
1.  Fixed   - Map Editor: Removed abilities for warp point that are
              not currently used in the game. 
2.  Fixed   - Map Editor: Error when value fields are left blank.
3.  Added   - Map Editor: Added note to ability edit window that values
              are specified in the Abilities.txt file. 
4.  Added   - Map Editor: Added button to view the Abilities.txt file. 
5.  Fixed   - Map Editor: Access Violation when editing an ability.
6.  Fixed   - Map Editor: When deleting an ability, a blank line would
              sometimes remain saying "None:". 
7.  Fixed   - Map Editor: Added a message if you try to add a space object
              without having selected a sector in the system window. 
8.  Added   - Map Editor: Added a default name for space objects. 
9.  Fixed   - Map Editor: Destroyed Stars would not show a dialog. 
10. Added   - Map Editor: Added starting points for a map. 
              Specific Starting Point = When a game is started with that map,
              the specific player will start at that location. 
              Common Starting Point = When a game is started with that map, 
              any player can be placed at that location. 
              If a player has a specific starting point, they are placed there.
              If not, then they are placed at the next available common starting
              point. If there are none, they are randomly placed. 
11. Fixed   - Changed AI Players to always reload their default strategies upon
              loading the game. 
12. Fixed   - Range check error when tring to view enemy ships in the Designs
              Window. 
13. Fixed   - Bug where the "Player Died" window would not be displayed if the 
              empire died through colonization of a planet with zero population.
14. Fixed   - AI Design Name Files were not being used because of the missing 
              ".txt" extension. 
15. Fixed   - Bits Index Error when you pressed Launch Units while a fighter 
              group was selected in Tactical Combat. 
16. Fixed   - Population Minister was ignoring the "Systems to Avoid" settings. 
17. Fixed   - Retrofit minister would try to retrofit ships carrying cargo. 
18. Fixed   - Retrofit minister would sometimes try to upgrade to the same design.
19. Fixed   - Characteristics in the AI_General.txt file would not be correctly
              interpreted if they were less than 100. 
20. Fixed   - AI was not reading the AI_Strategies.txt file if it was in that 
              race's directory.
21. Fixed   - AI Minelayer minister would continue to try to lay mines at a location
              where the max number of mines per sector was already reached. 
22. Fixed   - Sometimes a ship in combat would have all of its components destroyed 
              but would not die. 
23. Fixed   - Fleet bonuses were not always being added to a ship during combat. 
              (NOTE: Fleet bonuses do not effect fighter or satellite groups). 
24. Fixed   - Simultaneous Game: Access Violation when the ship moving was killed
              in combat. 
25. Fixed   - Speed up for fighter launch in combat (again). 
26. Fixed   - Combat modifiers were not always added together but instead were maxed
              during combat. 
27. Changed - Increased the bonus for Point Defense Weapons.
28. Added   - Added a to-hit modifier display in the Add\Edit Design Window. 
29. Fixed   - ECM did not have the "only 1 component per ship effective" text in its
              ability description. 
30. Fixed   - Map Editor: Added a delete button on the Galaxy Map to delete systems. 
31. Fixed   - Simultaneous Game: The movement replay would occasionally not play back
              with the error that the log date was not correct.  



Version 1.32:
1.  Fixed   - SE4 would lockup during combat if a ship had zero living 
              units that it tried to launch (they were killed during 
              combat). 
2.  Fixed   - Rare Access Violation when ships were remotely launching 
              units and one of the ships was killed. 
3.  Fixed   - Rare Range Check Error during combat when a ship took 
              massive amounts of different types of damage. 
4.  Fixed   - Rare Access Violation when a ship executed destroy star 
              orders. 
5.  Fixed   - Mechandoids were still being effected by plagues at certain 
              times.
6.  Fixed   - Added more error checking to the script loaders. 
7.  Fixed   - Fixed a problem in the AI scripts with a misspelling of "Savvy".
8.  Fixed   - Fixed a naming problem in the AI Design scripts.
9.  Fixed   - XiChung weren't using Combat Sensors.
10. Fixed   - Access Violation when you try to do a Quick Start, then Start
              a New Game, then Cancel, then start a Quick Start game again. 
11. Added   - Got the restrictions on components working. 
12. Fixed   - Added a restriction of only one component per vehicle to the
              Emergency Resupply Pod and the Emergency Propulsion Pod. 
13. Changed - Decreased the Shard Cannon reload rate to 1. 
14. Changed - Increased all seeker speeds by 1 (thanks to AJCaton). 
15. Added   - Map Editor: Added Ctrl-A, Ctrl-E, Ctrl-D to the windows to 
              perform Add, Edit, and Delete.
16. Added   - Map Editor: Added Arrow keys and Number Pad keys to move
              highlight box in System and Galaxy window. 
17. Added   - Map Editor: Added the ability name to the ability list.
18. Added   - Map Editor: Added a toolbar.
19. Added   - Map Editor: Added a save flag.
20. Added   - Map Editor: Added coordinate location labels.
21. Fixed   - Improved speed during launching of fighters in combat. 
22. Fixed   - Simultaneous Games: Hide message about player file being out
              of date when processing from the command line. 
23. Added   - Command Line: Added an additional command line argument to 
              launch directly into a player’s turn. 

              To launch the game and have the host execute the turn 
              without any UI, use:
              Se4.exe "[path + savegame.gam]" "[game password]"

              To launch the game and have it jump right into a player’s 
              turn use:
              Se4.exe "[path + savegame.gam]" "[player password]"  "[player number]"
           
              Notes:
              1. This will only work for simultaneous games.
              2. Everything listed between and including the brackets is to 
                 be replaced by you. 
              3. If an item for the command line is empty (such as no password), 
                 just use " " in its place. Be sure there is a space between the quotes. 
              4. The elements above all have quotes around them for safety reasons. 
                 (Paths that have spaces in them must be wrapped in quotes). 



Version 1.31:
1.  Added   - Added the option "Players can save map during a game" to 
              game setup. This used to be always allowed, but with the
              map editor it would be bad to allow players to save the 
              map of a game and view it in the map editor. 
2.  Added   - Added a "Save Map" button to the Quadrant tab of the 
              Game Setup Window. 



Version 1.30:
1.  Added   - Added a "Move Ten" button to the Transfer Cargo and 
              Unit Transfer windows. 
2.  Fixed   - Stellar Manipulation components were not requiring and
              costing supply when used. 
3.  Fixed   - The first race in the race styles directory would rarely
              be chosen in a random setup game. 
4.  Fixed   - Access Violation when you selected multiple ships and 
              pressed the Scrap \ Retrofit order button. 
5.  Fixed   - When a ship is remotely laying units and the max unit per
              sector is reached, the warning message is displayed
              more than once. 



Version 1.29:
1.  Changed - Modified damages for Anti-Proton beam and Meson Blaster.
2.  Fixed   - AI was still trying to colonize planets it couldn't breathe
              if the game setup option of "Can Only Colonize Breathable
              Atmospheres" was selected. 
3.  Fixed   - Multiple useless combat replay files were being generated 
              over time. 
4.  Added   - Better sorting to the Construction Queues Window. 
5.  Fixed   - Rare case where the AI would go into an infinite loop 
              trying to purchase new items. 
6.  Changed - Changed the "Maximum units per player" back to "Maximum units
              (in space) per player". 
7.  Changed - Changed the default for "Maximum units (in space) per player"
              to 1000.
8.  Added   - Added a "x100000" button to the Resource Conversion Window. 
9.  Added   - Added a Scrap Facilities button to the Construction Queue
              Window. 



Version 1.28:
1.  Changed - Removed most of the restrictions of performing
              actions while cloaked. You can now launch and
              recover units while cloaked. However, when you
              enter into combat, all ships will be decloaked
              for the duration of the battle.



Version 1.27:
1.  Fixed   - In the Ships window, sorting by size is working
              a little better, but does not work for fleets. 
2.  Note    - Remote Mining will NOT work on a planet with a 
              colony. 
3.  Fixed   - The AI would design ship using armor that it
              didn't have the technology for. This would result
              in it not being able to purchase any ships. 
4.  Change  - Another slight modification to the Anti - Proton 
              Beam damage. 



Version 1.26:
1.  Fixed   - "Bits Index Error" when generating a quadrant map
              while setting up a new game. 
2.  Fixed   - Access Violation sometimes when exiting the Units
              Launch\Recover window.
3.  Fixed   - The Retrofit selection window should only show 
              designs that you have the technology for. 
4.  Fixed   - You should not see the "Blockaded" text on a planet
              report if you cannot actually see the planet directly.
5.  Fixed   - In the Ships window, sorting by Size would not work
              correctly for ships.
6.  Fixed   - Ground combat would not change the statistics of the
              troops.
7.  Fixed   - The text "Blockaded" would not show on a planet which
              had enemy troops on it. 
8.  Fixed   - Mothablled ships will not count towards your score. 



Version 1.25:
1.  Fixed   - The meteor strike event was happening every turn.
2.  Fixed   - Fighter Bays had an incorrect description.
3.  Changed - Fighter Bays now launch 4 fighters per game turn.
              Satellite Bays launch 4 satellites per game turn.
              Mine Layers launch 2 mines per game turn.
4.  Fixed   - Simultaneous Game: The movement replay log would 
              cut out when a combat occured. 
5.  Added   - Game Option: No Ruins on planets.
6.  Added   - Game Option: Can only colonize planets of the same 
              planet type as your home planet (regardless of 
              technology).
7.  Added   - Game Option: Can only colonize planets with the same
              atmosphere as your home planet.



Version 1.24:
1.  Fixed   - Intelligence project "Order Snafu" should effect only one
              ship, not an entire fleet. 
2.  Fixed   - Ground Combat: Satellites, Mines, Fighters, and Weapon Platforms 
              do not get to defend in ground combat. 
3.  Fixed   - Ground Combat: Troops should target other enemy troops first 
              before firing on satellites, mines, fighters, etc. 
4.  Fixed   - Multiple minefields will show up sometimes when you try to 
              lay mines where a minefield of yours already exists. 
5.  Fixed   - AI was not updating its ships with the latest engines late
              in the game.
6.  Fixed   - AI should check if the planet already has the desired atmosphere
              before building an atmospheric converter. 
7.  Fixed   - AI should scrap any atmospheric converters if the desired 
              atmosphere has been attained on the planet. 
8.  Fixed   - AI should fill up remaining space on designs with basic armor. 
9.  Changed - Increased the rate at which fighters and satellites can be
              launched during a game turn.
10. Fixed   - Meteor strike event would sometimes cause no damage. 
11. Fixed   - Cluster quadrant layout would not quite work with system amounts
              greater than 200.
12. Added   - Added a log message which is sent to an empire for each construction
              queue which fails to build an item because of a lack of resources from
              the empire.
13. Fixed   - Fighter groups were not moving at the speed of the slowest fighter.
14. Fixed   - Simultaneous Game: Fighter groups would sometimes launch from planets
              without full supplies.
15. Fixed   - Population modifiers in Settings.txt were limited to 20 entries.
16. Fixed   - Combat Simulation: In the Fleet Transfer Window, the fleet picture
              would not show up sometimes for a fleet in the list. 
17. Fixed   - Integer Overflow during Finite Resources games on the AI's turn. 
18. Changed - Increased the damage for the Anti-Proton Beam family (thanks to 
              Daynarr).



Version 1.23:
1.  Fixed   - AI should only build one sensor buoy at a time. 
2.  Fixed   - Some of the empire files were saved with all of the ministers
              turned on. 
3.  Fixed   - In some circumstances, the AI will design Base Space Yards with
              more than one space yard.
4.  Fixed   - Cloaked ships were triggering population unhappiness.
5.  Fixed   - A race that has been destroyed should show "Conquered" for the 
              treaty in its race report window.
6.  Added   - Added a new tab to the Strategies window called "Damage". This 
              tab allows you to set the percentage damage you want to inflict
              on different kinds of enemy ships before moving on to a new
              target. So for ships, if it says 80%, then your ships will 
              damage the ship up to 80% and then will switch to a new target. 
              If no other targets are available, your ships will go back and
              finish off those remaining ships. There is also a setting for
              "Damage targets until all weapons gone". If this is set true,
              then your ships will fire on enemy ships until all of their
              weapons are gone, regardless of the percentage damage setting. 
7.  Fixed   - Sometimes the AI Resupply minister would give a Divide by Zero
              error.
8.  Fixed   - The last patch caused the display of the letters "RSY" in the 
              system window to not work. 
9.  Fixed   - The AI was not balancing armed and non-armed ships correctly 
              when considering a trade. 
10. Fixed   - Typo in the SectType.txt file.
11. Fixed   - Mothballed ships were blockading enemy planets. 
12. Fixed   - Improved the AI's use of seeking weapons in combat.
13. Fixed   - Improved the AI's firing of weapons before or after moving.
14. Fixed   - Sometimes the AI would not fire seekers on a target.
15. Fixed   - Tactical Combat: When a seeker destroyed a colony, there would
              be no explosion.
16. Fixed   - Tactical Combat: When seekers were launched by a planet, the 
              selection icon would show for the planet and all of the seekers
              at the same time. 
17. Fixed   - Maximum Weapons Range strategy would sometimes cause the ship to 
              move closer to the target. 
18. Fixed   - You should only be able to scrap satellite groups and fighter
              groups if a spaceyard is present.
19. Fixed   - Combat Replay would show the shields for a ship that was hit with 
              a shield skipping weapon.
20. Fixed   - You should not be able to add a minefield to a combat simulation.
21. Fixed   - Vehicles in the Combat Simulation design list were not being
              sorted by name. 
22. Fixed   - Improved the AI's determination of when to skip an item in its 
              purchase list if there is no cargo space available to hold it. 
23. Fixed   - The AI would try to build defense bases at planets without 
              spaceyards. 
24. Fixed   - Mothballed ships should not effect happiness at all. 
25. Change  - Increased the amount of happiness troops on a planet generate.
26. Change  - Increased the amount of happiness a ship in orbit generates for
              the planet.
27. Fixed   - Added the field "Maximum population for abandon planet order" to 
              Settings.txt. This will prevent people from abandoning a planet
              with a full population of rioting people.
28. Fixed   - After an abandon planet, a new colony on the planet would start
              at the same happiness as the last population. 
29. Change  - Changed the starting happiness of colonies to "Happy" instead of
              "Jubilant".
30. Fixed   - A mothballed ship that was the only ship in a system could not be
              attacked by the other players. 
31. Fixed   - Simultaneous Game: Reasons for a ship failing to load cargo, drop
              cargo, or lay mines were not being added to the log. 
32. Change  - Cloaked ships cannot lay mines, launch units, or recover units. 
33. Fixed   - System level point modifiers were being summed instead of max'd.



Version 1.22:
1.  Fixed   - Fixed a few memory leaks. 
2.  Fixed   - AI was not using cloaking correctly.
3.  Fixed   - Fixed up some of the constraints on what a cloaked ship 
              can do.
4.  Fixed   - AI will choose Stealth Armor for its designs instead of 
              Cloaking Devices.
5.  Fixed   - AI would fill up remaining space on its designs with 
              regular shield generators (not phased shield generators).
6.  Fixed   - Maximum number of ships and units per player in a game was
              not being enforced correctly. In Game Setup, Maximum number
              of units (in space) has been changed so that the units can be 
              in space or in cargo. Increased the starting maximums for
              units.
7.  Fixed   - Games using Multiplayer Save Game Path would try to get
              the combat replay and statistics file from this location,
              instead of where the savegame was loaded from. 
8.  Fixed   - Ships destroyed with ramming were not providing experience. 
9.  Fixed   - Ships destroyed with ramming were not add in to the design
              statistics.
10. Fixed   - Units carried by a ship were not being tallied in the unit's
              design statistics. 
11. Fixed   - If an item that is in a trade has been lost, destroyed, 
              captured, etc. before the trade is excepted, it will be listed
              in the trade as "unavailable".
12. Fixed   - Jettisoned units weren't being tallied in that unit's 
              design statistics. 
13. Fixed   - Ships or Units that are received as gifts, will also have
              their design available as an Enemy Design.
14. Fixed   - The notes in the Galaxy Window would allow you to see the 
              names of systems that you had not explored. 
15. Fixed   - Planets that are in systems that you have seen, were not
              showing a green or red star if they were colonizable. 
16. Fixed   - Omnipresent view of systems would allow you to see 
              cloaked ships. 
17. Fixed   - Added a new restriction that you cannot edit a prototype
              design if it has been added to one of your construction 
              queues.
18. Fixed   - Change directory in the Load Game window would error if the
              Multiplayer Save Game Path was invalid. 
19. Fixed   - Improved the AI ship design based on the terrific "Mephisto
              Mod".
20. Fixed   - Transports with a "Capture Planet" strategy were not attempting
              to drop troops on the planet.
21. Fixed   - Colony planets in the Combat Simulator window were showing the
              incorrect player color for the population bars (or possibly no
              bars at all). 
22. Fixed   - Planets should not show up in the Combat Simulator's Fleet
              Transfer window. 
23. Fixed   - Type priorities settings for targeting were not working in 
              certain situations. 
24. Fixed   - The Ship\Planet report for a piece in a combat simulation
              would sometimes show the wrong status icons. 
25. Fixed   - Sometimes multiple stats and event files would be copied for
              each savegame. 
26. Fixed   - For a Launch All Units order, if a unit failed to launch
              early in the list, then all later units in the list would 
              not be attempted. 
27. Fixed   - Sometimes the treaty grid would show two races having two
              different treaties with each other. 
28. Fixed   - If a unit group was at a location in space with other unit 
              groups, then the unit groups amount number and the number
              of space objects present would overlap. 
29. Fixed   - Sometimes the Colonies Window (Facilities tab) would list
              the same facility type on multiple lines. 
30. Fixed   - Ai was not checking correctly for nearby enemies to potential
              colonization sites. Improved the AI colonization determination
              a bit. 



Version 1.21:
1.  Fixed   - Range check error when you have 255 systems and you give
              a ship orders to move to another system. 
2.  Fixed   - Increased planet finite resource starting values.
3.  Added   - Added default values in the Settings.txt file for the 
              Maximum number of ships and units in the game. 
4.  Fixed   - AI was not always using damaged ships or sending them
              to be repaired.
5.  Fixed   - Increased the speed of combat execution.
6.  Fixed   - AI was not spreading out targeting of seekers based on
              anticipated damage to target.
7.  Fixed   - Fleet leaders were still not detecting correctly when they
              were surrounded in combat and should break formation. 
8.  Fixed   - The Drushocka and Praetorian were building fighters with
              only Shield Depleters.
9.  Fixed   - Jubilant has been mispelled for quite a while. 
10. Fixed   - Added empire files for all empires.
11. Fixed   - Krill, Terran, and Toltayan empires were not always using 
              all of their racial points. 
12. Fixed   - Combat Replay would not show the vehicle report when moving 
              from a fighter group to a new fighter group. 
13. Fixed   - Improved AI's use of fleets.
14. Fixed   - Improved AI's used of Planet creators. 



Version 1.20:
1.  Fixed   - A colony with no population could still suffer from 
              a firestorm event.
2.  Fixed   - Ground combat would continue on the turn that a surrender
              took place. 
3.  Fixed   - High numbers of systems would not work correctly using the 
              Cluster quadrant layout. 
4.  Added   - Added fields to the Settings.txt file to specify what values
              and abilities a newly created storm will receive. 
5.  Fixed   - Changed the text for the Cloaks to say the correct level
              of scanning/detection it prevents. 
6.  Fixed   - AI vehicle design files were not using the new ability
              names for Combat To Hit Add and Combat to Hit Dec. 
7.  Fixed   - Sometimes a damaged ship that was retrofitted would 
              result in undamaged components. 
8.  Fixed   - If the order of a construction queue was changed, it was
              not clearing the time for the item currently under 
              construction. 
9.  Changed - Changed Emergency Build Rate to 150%. 
10. Fixed   - When you exit a combat replay, the combat music would keep
              playing. 
11. Fixed   - In Tactical Combat, Clear All Group Assignments would not
              redraw the display to clear the group icons. 
12. Fixed   - "Bad Index" error from the Colonies window. 
13. Fixed   - If a race had a treaty of Subjugation or Protectorate, their
              research points would be capped at 50,000.
14. Fixed   - The Up Arrow on the Report window would display over the 
              Comps or Cargo display when closing the Scrap window. 
15. Fixed   - Fill Build Queue was not checking if the items were valid
              for the empires current technology level. 
16. Fixed   - When loading a previously saved empire into a different player
              number than previously, their designs would be messed up. 
17. Fixed   - Simultaneous Game - The Seeking Attack order would not cleared
              if it was targeted on a planet and the colony had been destroyed.
18. Fixed   - Improved the AI's scrapping of uneeded facilities in a finite
              resource game. 
19. Fixed   - Remove tech area Ship Construction level 10 (it was empty).
20. Fixed   - Decreased the AI's armor usage on their designs. 
21. Fixed   - Increase the AI's point defense usage on their designs. 
22. Fixed   - AI was not using its AI Strategy file correctly.
23. Fixed   - AI was not giving the Kamikaze ships the correct strategy. 
24. Fixed   - In a finite resources game, planets would still produce resources
              even after they had reached a value of 0. 
25. Fixed   - If a player's fleet encountered enemy mines in the same sector
              as his own mines, he would receive a message about his minefield
              being triggered against "enemy" ships. 
26. Fixed   - Improved the description for the Boarding Parties and Security Stations. 
27. Added   - Added fields to the Settings.txt file to specify a maximum number of 
              mines or satellties that a player can have in a sector. 
28. Fixed   - The Colony Window would display a patch of white if there were a large
              number of displayed facilities. 
29. Added   - Added a confirmation message when you try to send a surrender message.
30. Fixed   - Improved the Transport Minister so that they only move populations to
              planets with atmospheres they can breathe. 
31. Changed - Changed the Path.txt file so that it now lists a new directory to use. 
              This directory can contain replacements directory for all of the 
              directories that SE4 uses. If a directory is present in the mod 
              directory, all of the files that SE4 needs must be present. So if you
              replace the Data directory, your new directory must have all of the 
              data files present. The only exception to this rule is for bitmaps. 
              If a bitmap cannot be found in a mod directory, the game will then 
              look back into the original SE4 directory to find it. In this way, you
              can replace everything in the game, but not need to include all of the
              graphics as well. 
32. Fixed   - Range check error during combat.
33. Fixed   - Point Blank strategy sometimes would cause ships to run away from the 
              target. 
34. Fixed   - Range Check Error with a large number of units in a group during combat.
35. Fixed   - Range Check Error with huge numbers of shields being generated during combat.
36. Fixed   - Range Check Error with a fleet of more than 256 ships during combat.



Version 1.19:
1.  Fixed   - Problems with Combat Replay for Simultaneous Games.
              NOTE: In a Simultaneous Game, you can only view the 
                    combat replay for the last turn (the same date
                    as the current turn). Even if you have an old log
                    item for a previous date, you will not be able to 
                    view the combat replay. 


Version 1.18:
1.  Added   - Added a field "Allow CD Music" to Settings.txt file to allow
              people with music problems to kill the CD music all together.
              Their machines seem to hang while trying to detect the CD
              player. Since they never get into the program, they can never
              turn off the CD music. 
2.  Fixed   - Happiness from troops on a planet would give a strange log 
              message.
3.  Fixed   - Happiness from troops on a planet was increasing too fast.
4.  Fixed   - Medical Bays were curing plague levels greater than they 
              indicated.
5.  Fixed   - Reproduction changes from last version were causing a 
              range check error.
6.  Fixed   - Seekers that lost their target and were removed during combat
              would just sit and not be removed in the combat replay.
7.  Changed - The default firing strategy for Maximum Range is now
              Has Weapons, Nearest, Most Damaged, Strongest. This strategy
              change will only take effect in new games. This was changed
              because the ships would target the strongest ship without
              regards to the enemy ships near them.
8.  Fixed   - Simultaneous Game: Occasionally, a trade sent to a computer player
              would get killed by the computer player sending a message before 
              they had received the trade. 


Version 1.17:
1.  Fixed   - The Amonkrie had their Demeanor and Culture values swapped.
2.  Fixed   - Combat Replay was only displaying the last turn of combat.
3.  Fixed   - Combat Replay is starting with the first move of the first ship
              already completed.
4.  Fixed   - The Xiati Main bitmap was an incorrect size.
5.  Fixed   - Troops on a planet you own will now increase the happiness of 
              the populations on that planet. 
6.  Fixed   - Tactical Combat: If you fired weapons from your ship, your 
              point defense cannons would not always fire at incoming seekers
              on that turn.
7.  Added   - Empire Option for Next/Previous Ship button to skip fleets. 
8.  Fixed   - The Trade disrupted intelligence event should not occur if there
              is no real trade between two empires.
9.  Fixed   - Some game option flags would keep the value from the last game if 
              it was from a previous version of SE4 (most notably "Allow 
              Intelligence projects"). 
10. Fixed   - Tarrifs that an empire received would be added in even in excess
              of the max storage for that empire. 
11. Fixed   - Right-clicking on the flag for a satellite group would not work. 
12. Fixed   - Tarrifs were exceeding the points available when payed. 
13. Fixed   - Using an existing empire would sometimes cause the reproduction
              and maintenance cost to be increased from what the empire had 
              in the last game. 
14. Changed - There is now a limit per game turn in the number of fighters\
              satellites\mines that can be launched. There is no limit to 
              the number of units that can be recovered. The Unit Transfer 
              window has been modified to display the numbers that can be
              launched in a turn per ship. 
              NOTE: All 3 levels of mine layers, fighter bays, and satellites
                    bays have been changed to that they can only launch 1
                    unit per game turn or combat turn. (This was to make it 
                    a little more interesting)
15. Fixed   - Sorting by date in the Load\Save dialog should put the most 
              recent file on top. 
16. Fixed   - Designs for dead empires were showing up in the combat simulator
              list.
17. Fixed   - A range check error would occur when a planet was rammed. 
18. Fixed   - During game creation, sometimes a player's planets would end
              up in a nebulae, black hole, or asteroid system. A new flag
              had been added to the SystemTypes.txt file which indicates
              whether a system type allows an empire to start in it. 


Version 1.16:
1.  Fixed   - Range Check error when using the Maximum Range strategy in
              combat.
2.  Fixed   - Added a check for the Movement Replay to make sure that the
              replay file matched up with the current game turn. 


Version 1.15:
1.  Fixed   - Fixed a problem in the VehicleSize.txt file where the 
              "Combat To Hit Add" ability was used to make bases easier
              to hit. This ability has now been changed to "Combat To Hit
              Offense Plus" and "Combat To Hit Offense Minus". The ability
              "Combat To Hit Dec" has been changed to "Combat To Hit 
              Defense Plus" and "Combat To Hit Defense Minus".
2.  Fixed   - Simultaneous Games: The Host would ask for missing player
              files from players that were dead. 
3.  Fixed   - Simultaneous Games: The Host would ask for missing player
              files even when being run from the command line. 
4.  Fixed   - Improved the AI Retrofit minister.
5.  Fixed   - Improved the AI Minesweeping minister.
6.  Fixed   - Access Violation in Combat Replay where the combat only lasted
              one turn.
7.  Fixed   - Combat Replay was skipping the first turn.
8.  Changed - Simultaneous combat resolution to now be triggered off of 
              movement (It used to occur every 5 phases regardless of movement). 
9.  Fixed   - Victory Condition "X% of Tech Levels" was displaying incorrectly 
              in the Victory Conditions window. 
10. Fixed   - Modified Victory Condition min\max\default values. 
11. Fixed   - Occasional index error bug when starting a new game. 
12. Fixed   - Improved AI Max Range movement strategy.
13. Fixed   - Improved AI dodging of seekers. 
14. Fixed   - Improved AI Optimal Range movement strategy.
15. Fixed   - Range Check Error would happen sometimes when you looked at 
              the designs in the Designs window after using an existing
              empire from a previous game.
16. Fixed   - Hotseat Simultaneous: Missing player file message should not
              be displayed.
17. Fixed   - Hotseat Simultaneous: if the player didn't do anything on their
              turn, the computer should not take over. 
18. Added   - A Weapon to Hit modifier to the weapon mounts.
19. Fixed   - Changed "Set Colony Type" (in Colonies Window) and "Send
              Colonizer" (in Planets Window) lists to show all planets in 
              the list, not just those in the visible portion. (Too 
              many players were confused by this feature).
20. Fixed   - If asteroids or a planet was hidden by a storm, you could get
              a range check error when you clicked on that system.
21. Fixed   - A race that was created from a rebellion would retain all of 
              its source empire's communication connections. They could
              send a message to an empire that had never seen them.
22. Fixed   - Miscellaneous manual link fixes.
23. Fixed   - Speed-ups for combat with fighters.
24. Fixed   - AI Fleets who had a transport and set their strategy to 
              "Capture Planet" were not changing it back to "Optimal" 
              when the transport was lost. 
25. Fixed   - Error in ability name in Abilities.txt.
26. Changed - Fighter Bays to launch 1, 2, and 3 fighters. Same for satellite
              bays. 
27. Fixed   - Added descriptions for Boarding Party and Security Station 
              abilities in Components.txt.
28. Fixed   - Captured ships should lose any experience bonus they had. 
29. Added   - Captured ships will have their reload times increased by 10
              combat turns (this is modifiable in the Settings.txt file). 



Version 1.14:
1.  Fixed   - After only one turn of emergency build, you would 
              not get slow build for one turn. 
2.  Fixed   - If the item currently being constructed was deleted, 
              the accomplished resources stuck around. 
3.  Fixed   - Weapon damage was maxed out at 999. It now has a 
              maximum of 50000. 
4.  Fixed   - A satellite group cannot remote mine with all of the 
              satellites present. 
5.  Fixed   - Minefield report would reference an individual sector
              location. 
6.  Fixed   - The list of damage types in Components.txt was wrong. 
7.  Fixed   - AI Colonize minister would send another ship to colonize a 
              planet even if it already had one in orbit with just the 
              colonize order remaining. 
8.  Fixed   - When copying or upgrading a design, the old name is now
              present in the Edit Design Window. 
9.  Fixed   - Planets that are hidden by storms or nebulae were still 
              being drawn on the system map. 
10. Fixed   - Stars cannot be hidden by a storm or nebulae.
11. Fixed   - AI Player turn text was not centered.
12. Fixed   - Problems with AI control over their planets and fleets
              introduced in the last version.
13. Fixed   - An empire loaded from a previous game might allow you to 
              colonize planets other than your home planets that you had
              gained the technology for in a previous game. 
14. Changed - Show production values with parenthesis in the Colonies Window
              if the colony does not have a spaceport or is blockaded. 
15. Fixed   - A ship with a construction queue that was run on emergency build 
              could be run at normal without the slow period if the ship
              was mothballed then unmothballed. 
16. Changed - The Colonies Window now displays the complete facility and cargo 
              list.
17. Changed - The Ships Window now displays the complete cargo and orders list. 
18. Fixed   - Added a "Number Scrapped" design statistic to better display the 
              results of a ship that was retrofitted or scrapped (instead of
              showing the design as being "Lost"). 
19. Fixed   - In the Designs Window, you could right click an item in the list 
              and have the selection change, but the report would not change. 
20. Fixed   - If you were not the current player during a tactical combat, the
              launch units window would not show your ships \ planets to launch
              from. 
21. Fixed   - Ships with "Endless" supplies were shown in the Ships window with 
              "60000 / 60000" supplies. 
22. Fixed   - Clarified the description for the Neural Net component. 
23. Fixed   - The "Send Colony Ship" button in the Planets Window would not always
              pick the closest colony ship to the target planet. 
24. Fixed   - Improved the Population Transport minister so that it will not 
              deplete planets completely with multiple transports. 
              NOTE: The Population Transport moves population from planets with 
              over 1000M to planets with less than 500M (if the target planet
              is not at its maximum). 
25. Fixed   - Typo in the description for the Robo components. 
26. Fixed   - Increased the cost of the Chemistry tech area to 50000.
27. Fixed   - Increased the cost of the Resource Manipulation tech are to 200000.
28. Fixed   - Improved the AI's use of the Open Warp Point component.
29. Fixed   - Improved the AI's detection of when it is cut-off from the rest 
              of the galaxy.



Version 1.13:
1.  Fixed   - Differentiated AI players a bit more. Also made them more
              aggressive and more intolerant of players in their territory. 
2.  Fixed   - Fixed problem in combat replay where you would get an IO Error 
              if in a Turn-Based game the combat log was completely empty. 
3.  Fixed   - AI should not build research facilities if they have all techs. 
4.  Fixed   - If an empire was created with a password, that password is required
              to edit it. 
5.  Fixed   - Beam lines drawn during tactical combat were sometimes slowing down.
6.  Fixed   - The feature that would warn the Host if not all of the player
              files was present was not working. 
7.  Changed - When a construction queue is in slow mode, the rate is now 25% of
              normal. 
8.  Added   - Added an option to a game setup to disable intelligence entirely. 
9.  Fixed   - The map would be displayed if you started a new game from within
              a game. Now, the map will only show if you generate it. 
10. Changed - Both ground based and component based space yards are all within
              the space yard tech area. 
11. Fixed   - The Fleet minister would disband fleets even if the individual 
              minister toggle was not on. 
12. Fixed   - Retrofitting a ship would sometimes heal damaged components. 
13. Fixed   - Time Distortion Burst would not work against weapon platforms. 
14. Fixed   - The AI would not always fire its weapons before moving away
              from a target. 
15. Fixed   - Removed the ability "Resupply Pod" from the Abilities.txt file
              because it was not being used. 
16. Fixed   - Added a new damage type "Disrupt Reload Times" so that the Energy
              Dampner weapon would not be stopped by a Master Computer. 
17. Fixed   - Fixed the minimum speed requirement on ai Attack Bases. 
18. Fixed   - The AI would change construction queues for planets even if the
              individual minister was not toggled on. 
19. Fixed   - Retrofitting a ship should not add a "destroyed" statistic to the
              old design. 
20. Fixed   - AI was not corretly recognizing the extended range capability of 
              weapon mounts. 
21. Fixed   - Small Combat Sensors would upgrade to Ground Cannon. 
22. Fixed   - A minefield that is hit by your ships should only show the explosion
              once (not per ship hit). 
23. Fixed   - Planets that were on the edge of the combat map in Tactical 
              Combat, when fired on would have weapons fire that would go off 
              the map. 
24. Fixed   - You cannot change the Colony Type of you homeworld. 
25. Fixed   - The Hide obsolete button should not be disabled in the Designs
              Window when all of the designs listed are obsolete. 



Version 1.12:
1.  Fixed   - Game_Racestyle.html was missing from the manual.
2.  Fixed   - On rare occasions, the AI Patrol minister would generate
              a Range Check Error.
3.  Fixed   - In Finite Resource games, the deduction of resources from
              planets was incorrect. 
4.  Changed - Reduced the cost of Solar Generators. 
              NOTE: Solar Generators do not reduce the value of a planet
                    even in a finite resource game. Also, they generate 
                    points independent of the planet's value. 
5.  Fixed   - Simultaneous Game - If a trade was offered, and then another
              message was sent the next turn, the acceptance of the trade
              by the other player would be lost (the message would come
              through, but not the items). 
6.  Fixed   - Intelligence Projects - Fuel Leak, Anarchy Groups, Ground
              Contamination, Food Contamination, and Weather Disruptions
              were having a few problems. 
7.  Added   - Combat Replay capability to the log window. By pressing this
              button when looking at a combat report, you will be able to 
              replay the entire combat in a view only mode. This replay
              does NOT contain all of the details of the combat such as 
              exact damages of ships on each turn. It contains the movement
              of the ships and their firings against other ships. You can
              also point the mouse at a ship and view its design. Combat
              Replay is available in both Simultaneous and Turn Based games.
              In Simultaneous games, the host must send the .cmb file to 
              the players for them to be able to replay the combats. Whether 
              is it is used is determined by the "Create Combat Replay"
              field in the Settings.txt file.  



Version 1.11:
1.  Fixed   - Improved routine for checking if filename is valid.
2.  Fixed   - Fixed religious Talisman for Weapon Platforms (again). 
3.  Fixed   - Ships could initiate first contact but a planet path
              was needed to keep it. Now, first contact will 
              only occur if you see another player's ship, and there
              is a planet path.
4.  Fixed   - Change Recover Units Remotely order to not show Mines
              as a selection. 



Version 1.10:
1.  Fixed   - Two objects cannot have the same name in a game (Caused 
              problems in the combat report).
2.  Added   - Added Manual button to the Help Window.
3.  Fixed   - Fixed problem with incrementing old tech cost level by one.
4.  Fixed   - Increased tech cost of racial tech weapons.
5.  Fixed   - Fixed problem with tech costs lower than the starting value.
6.  Fixed   - When a construction item was completed, it and the item below
              it were removed from the list. 
7.  Fixed   - Fleets would not always attack during combat.
8.  Fixed   - AI ships would fire weapons at a target they had taken with an
              Allegiance Subverter.
9.  Fixed   - AI controlled fleets would sometimes clear the combat group for
              no reason. 
10. Fixed   - A nebulae that's destroyed through stellar manipulation could 
              sometimes still hide items within it. 
11. Fixed   - A constructed sphere or ring world would use all of the resources
              present in the system, not the sector. 
12. Added   - Added savegame directory path on the Mechanics tab of game setup.
              This will allow you to specify a remote path for savegames.
13. Added   - A Change Directory button to the Load \ Save game window.



Version 1.09:
1.  Fixed   - Religious Talismans were not working on Weapon Platforms.
2.  Added   - Ability to set the fleet leader for a fleet. (Just
              left click on the ship in the fleet report). 
3.  Fixed   - A ship with orders to move to a waypoint that was deleted
              would cause an error when it tried to show its movement
              lines.
4.  Fixed   - Changed the reproduction and maintenance characteristic
              costs a little more (they were too expensive). Also
              fixed the AI's use of them.
5.  Fixed   - A Construction Queue on repeat build would build items
              which were not allowed. 



Version 1.08:
1.  Fixed   - You will lost contact with another race if they do not
              have any planets left, or there is no path between one
              of your planets and one of theirs. 
2.  Fixed   - Typo in the AI Speech "The [Emperor Name] shall remain 
              our enemies".
3.  Fixed   - Fixed text problems in Research chapter of manual.
4.  Changed - Due to the confusion, made the satellite weapon mount
              increase the size of the component by 120%. 
5.  Added   - Population bonuses up to the 10B mark. 
6.  Changed - Tech Areas Allowed to display almost all of the tech 
              areas in the tree. The items which cannot be removed are
              specified in the TechAreas.txt file. 
7.  Fixed   - Research projects would sometimes show negative completion
              times. 
8.  Fixed   - Old games were being loaded at 1 level lower in tech cost. 
9.  Fixed   - Small Incinerator Beam moved to the correct tech area. 
10. Fixed   - Seeking Parasite component fixed up. Correct speed and damage. 
11. Added   - Scroll buttons to the Quick Start window to display the first
              16 races to choose from. 
12. Fixed   - AI was getting angry way too fast. 
13. Fixed   - Added text descriptions to the new facilities indicating if they
              are non-cumulative or not. 
14. Added   - Quickstart gives the player pre-made designs. 
15. Fixed   - Put additional fixes in to detect the CD player and play the 
              music. 
16. Added   - Option to have all players start with planets of the same size. 
17. Fixed   - Specifying stellar size in the SystemTypes.txt file for a planet
              would not work. 
18. Fixed   - Remote Mining Decreases Asteroid Value option in the Settings.txt
              file was not working. 
19. Fixed   - Changed the Reproduction and Maintenance racial characteristics to 
              be true percents which are added to your current values. Due to that
              the cost was increased, and the max \ min were changed. 
20. Fixed   - Ship names with a dash at the end of the name next to the number
              (ex. "Super-003") would cause a Range Check Error. 
21. Fixed   - You cannot create stars in a system with a nebulae or a black hole 
              (Sphere worlds created in a nebulae system would dissappear). 
22. Fixed   - Increased the fighter shield strength. 
23. Fixed   - Improved the "Empires allowed to start in the same system" setting
              (Empires should NOT be starting in the same systems). 
24. Added   - Added a note window which is displayed in the Set Construction Queue
              Window when you try to add a facility which has system wide abilities
              and those abilities are already present in the system. 



Version 1.07:
1.  Fixed   - Access Violation on the AI's turn. 
2.  Fixed   - Incorrect spelling in Tachyon Cannon description.
3.  Fixed   - When starting a New Game, if you select Finite Resources,
              and then did a Generate Map Now, all of the planets in the
              game would show 1kT in value. 
4.  Fixed   - Bonuses which effect a planet or a system should not be
              cumulative. 
5.  Fixed   - Simultaneous Game: Stellar Manipulations report that the
              ship does not have movement remaining when it moves to a 
              location and tries to execute the order. 
6.  Fixed   - The View and Clear orders buttons should be enabled for 
              mothballed ships. 
7.  Fixed   - High technology was not calculating its cost correctly.
8.  Fixed   - Range check error when attempting to drop population on
              to a Sphere World using the Drop Population order. 
9.  Fixed   - Experience points for loaded empires which had zero 
              experience would show as a large negative number. 
10. Fixed   - Fixed text description for "Score of X% of second player"
              in the Victory Conditions window. Also set minimum to 100%.
11. Fixed   - Happiness Type would not display correctly when editing an
              empire in the Game Setup window. 



Version 1.06:
1.  Fixed   - Ships which are constructing items cannot move. This includes Warp. 
2.  Added   - Base weapon mounts with increased range modifier. 
3.  Fixed   - Simultaneous Game: If the victory conditions were met, then sometimes
              the Victory window would not be displayed and the game would just 
              continue on. 
4.  Fixed   - Fixed confusing text related to Victory Conditions not applying until 
              after X turns. 
5.  Fixed   - Improved the AI's determination if there are support ships for a 
              transport trying to land troops to capture a planet. 
6.  Fixed   - Simultaneous Game: AI players would accept a gift message but the items
              would not change hands. 
7.  Fixed   - Added "non-cumulative" descriptions to components and facilities. 
8.  Fixed   - Fixed problems with system-wide damage bonus.
9.  Fixed   - Fixed problems with system-wide combat bonus.
10. Added   - Added 3 facilities and 2 weapons to Crystalline Technology.
11. Added   - Added 3 facilities and 2 weapons to Temporal Technology.
12. Added   - Added 3 facilities and 1 weapon to Psychic Technology.
13. Fixed   - Application of planet resource modifiers was not quite right.
14. Fixed   - Added spaces to all component and facility names with a dash in them. 



Version 1.05:
1.  Fixed   - Simultaneous Game - Retrofits would sometime result in weird designs
              or a log message saying the retrofit was in error. 
2.  Fixed   - AI players were not growing angry at players who were not on their team.
3.  Fixed   - The AI will still try to build units on planets with maxed out
              storage space. 
4.  Changed - All bases now get a 50% modifier to maintenance cost. 
5.  Fixed   - Defensive intelligence projects would sometimes show negative points. 
6.  Fixed   - Large numbers of fighters were taking too long in combat.
7.  Changed - Increased the cost of defensive intelligence projects. 
8.  Note    - Defensive projects are effective while they are in progress. In addition,
              more defensive projects are better than just one. 
9.  Fixed   - Sometimes fleets would uncloak from turn to turn.
10. Fixed   - Sometimes a ship with a spaceyard would not allow you to set its 
              construction queue (this was usually for ships that could cloak). 
11. Note    - A ship that is cloaked cannot construct anything. If you cloak a ship
              that is currently constructing something, its queue will be cleared. 
12. Fixed   - Clicking from one satellite group to another would not display the unit
              grid. 
13. Fixed   - Sometimes a happiness event would say that they were from winning battles
              when in fact the battles had been lost. 
14. Changed - Planetary rebellion has now become more difficult. In addition, there is a
              chance that the rebellion will forms its own government instead of joining
              your empire. 
15. Fixed   - The combat notification window will have the third empire be overlapped by
              the begin button.
16. Fixed   - AI should not design colony ships with Multiplex Tracking or Combat Sensors. 
17. Fixed   - The default fleet name would sometimes be the same as an existing fleet. This
              has been changed so that the name will represent the total number of fleets
              that you have ever built. 
18. Fixed   - There were spelling errors in some of the data files. 



Version 1.04:
1.  Added   - "Scrap Facil Types" button to colony window.
2.  Fixed   - Shard Cannon V and VI damage should be different.
3.  Fixed   - Starting a new game from within a tutorial game would leave the 
              tutorial icon.
4.  Fixed   - If you scrap a spaceyard on a planet, any ships in the construction
              queue will be removed. 
5.  Changed - Increased speeds of seekers and fighters. Made fighters harder to hit.
              Decrease damage of Point Defense Cannons. Thanks to AJCaton!
6.  Fixed   - Made Intel Defense more effective. 
7.  Fixed   - Seekers should self-destruct if they are targeted on anything that 
              the seeker's owner now owns (like captured planets). 
8.  Changed - Increased size of repair bays to 150kT. 
9.  Fixed   - Transfer window would displays ships that you did not own. 
10. Fixed   - Tractor\Repulser beams would still move ships on top of each other.
11. Fixed   - Mines would show up in combat.
12. Fixed   - Combat Log will now say "Taken" for a ship if it is captured in combat
              (instead of "Dead").
13. Fixed   - Save\Load dialog was not wrapping the filenames.
14. Fixed   - Trade and Research Alliance text was not showing completely in the Politics 
              Window.
15. Fixed   - Nebulae and Asteroids were not showing in combat simulations as map filling. 
16. Changed - Satellite groups can fire on as many targets as there are satellites, or up
              to the multiplex level. Fighter Groups can only ever fire on one target. 
17. Fixed   - The AI would sometime stop firing when it had weapons available.
18. Fixed   - AI should not fire the Allegiance Subverter against a ship with a Master
              Computer. 



Version 1.03:
1.  Fixed   - Ground combat would continue from turn to turn even after a 
              peace treaty or a surrender. 
2.  Fixed   - Experience bug would sometimes cause experience points for an
              empire to jump up to 2000000.
3.  Changed - Increased maximum experience from 2M to 500M.
4.  Fixed   - Planet creation would error if the system did not have a name. 
5.  Fixed   - Simultaneous Game: AI was not always responding to political messages.
6.  Fixed   - Simultaneous Game: AI could respond on the very next turn to a message
              that was sent. This should be 2 turns later. 
7.  Fixed   - If the leader of a combat group is blocked in their movement, then the
              combat group will be disbanded. 
8.  Fixed   - Replicant center would only produce your population. They will now
              proportionately produce the populations that are present on the planet. 
9.  Fixed   - When you viewed your Empire Status, and you have ships performing remote
              mining, you would lose value in your asteroids. (Dough!)
10. Changed - Tweaked the happiness modifiers on reproduction. They now range from 
              -5% to +5% to reproduction based on happiness.
11. Added   - A confirmation message if you want to remove the first item in the 
              construction queue. 
12. Fixed   - Internal damage to fighters was not correct in combat.
13. Fixed   - Simultaneous Game: Problems where changes made in a game turn would not
              be reflected in the next turn. This may be fixed. We think it was caused
              by running the Movement Replay. 


